
;MOUSE DRIVER (C) 1999 LOKI/CLEVERS/TMH

MOUSDR  RET
        CALL MDRV
.coord  CALL MCOORD
        LD A,(MDIRECT)
        LD (DIRECT),A
        RET
.speed  ld hl,#0000       ; nop:nop  -    ;     a ;/DA
        or a
       jr z,1F
        ld hl,#3FCB       ; srl a    -  
1       ld (M_slowX),hl
        ld (M_slowY),hl
       ret
.res    ld a,#C9          ; a = ret     ;   
        ld (.coord),a
        call MOUSDR
        ld a,#CD          ; a = call
        ld (.coord),a
        xor a
       jp MBUTT.e

;mdrv   LD A,(MOUSDR)
;       AND A
;       RET NZ
;       LD HL,(MDR1+1)
;       PUSH HL
;       CALL MDRV
;       POP HL
;       LD (MDR1+1),HL
;       LD A,(DIRECT)
;       AND A
;       RET NZ
;       LD A,(MDIRECT)
;       LD (DIRECT),A
;       RET



MDRV    LD HL,#0000
        LD (MSHIFTX),HL
        LD (MSHIFTY),HL
        LD (FIRE),HL

         ld a,#7F      ; SS ,       2  /DA
         in a,(#FE)
         rra
         rra
         ld hl,#0000       ;  nop:nop
        jr c,1F
         ld hl,#3FCB       ; srl a    -    SS
1       ld (M_slowX.SS),hl
        ld (M_slowY.SS),hl

MDR1    LD HL,#0000
        LD D,#00
        LD BC,#FBDF
        IN A,(C)
        LD (MDR1+#01),A
        SUB L
    ;    JR Z,DIRY
    ;    JP P,MRIGHT      ;      /DA
        bit 7,a
       jr z,1F
        NEG
        res 7,b           ;  7 bit B    
1
M_slowX nop:nop          ; srl a  ;    
.SS     nop:nop          ; srl a  ;     SS
         or a
        jr z,DIRY

  ;      bit 7,a
  ;     jr z,MRIGHT
  ;      NEG
         bit 7,b
        jr nz,MRIGHT
        SET #01,D              ; LEFT
        LD (MSHIFTX+#00),A
        JR DIRY
MRIGHT  SET #00,D              ; RIGTH
        LD (MSHIFTX+#01),A
DIRY    LD B,#FF
        IN A,(C)
        NEG
        LD (MDR1+#02),A
        SUB H
    ;    JR Z,MBUTT       ;      /DA
    ;    JP P,MDOWN
        bit 7,a
       jr z,1F
        NEG
        res 7,b           ;  7 bit B    
1
M_slowY nop:nop          ; srl a  ;    
.SS     nop:nop          ; srl a  ;     SS
         or a
        jr z,MBUTT

   ;     bit 7,a
   ;    jr z,MDOWN
   ;     NEG
         bit 7,b
        jr nz,MDOWN
        SET #03,D              ; UP
        LD (MSHIFTY+#00),A
        JR MBUTT
MDOWN   SET #02,D              ; DOWN
        LD (MSHIFTY+#01),A
MBUTT   CALL MBUTTON
        LD A,D
.e      LD (MDIRECT),A
        RET

CHBUTT  LD A,(MB)
        AND A
        JR Z,LMB
RMB     LD HL,0        ; [nop : nop]
        LD (MBUT1),HL
        LD HL,#E2CB    ; [set 4,d]
        LD (MBUT2),HL
        LD HL,CANCEL
        LD (ffire_g+1),HL
        LD HL,FIRE
        LD (ccancel+1),HL
        RET

LMB     LD HL,#E2CB    ; [set 4,d]
        LD (MBUT1),HL
        LD HL,0        ; [nop : nop]
        LD (MBUT2),HL
        LD HL,FIRE
        LD (ffire_g+1),HL
        LD HL,CANCEL
        LD (ccancel+1),HL
        RET

MBUTTON LD A,(MOUSDR)
        AND A
        RET NZ
        LD BC,#FADF
;        IN A,(C)    ;     /DA
;        RRA
BUTDEF  IN A,(C)
        ld b,a
        RRA
        JR C,M04
MBUT1   SET #04,D              ; FIRE
        EX AF,AF'
        LD A,1
ffire_g LD (FIRE),A
        EX AF,AF'
M04     RRA
        JR C,MO4_  ;MO4
        ex af,af'
MBUT2   DW 0           ; SET #05,D - CANCEL
        LD A,1
ccancel LD (CANCEL),A
        ex af,af'
MO4_    scf      ; scf / rra    rra   3-  
       jr c,MO4
        ld a,3
        ld (CANCEL),a
MO4    NOP    ; RET/NOP    nop   .
        ld a,b               ;   D  
        and #F0
        rrca
        rrca
        rrca
        rrca
        ld b,a
        ld a,(MWHEEL)
        ld e,a     
        ld c,0
lMwheel EQU $-1
        ld a,b
        ld (lMwheel),a
        sub c       
       ret z    ;            
       jr c,whlUp    ;  
        cp 15-6   ;  
       jr nc,whl_up
whlD_   add a,e         ; down
whlE    ld (MWHEEL),a  
       ret        
whlUp    neg
         cp 15-6
        jr nc,whl_dn
whlU_    ld c,a         ; up
         ld a,e
         sub c
       jr whlE      
                
whl_up   neg
         and #0F        
        jr whlU_
        
whl_dn   neg
         and #0F
        jr whlD_       
      


MSHIFTX DW #0000;  (LEFT,RIGHT)
MSHIFTY DW #0000;  (UP,DOWN)

;    
; 
MCOORD  LD A,(ARWXMX)
        LD C,A
        LD A,(ARWYMX)
        LD B,A
        LD HL,(MSHIFTX)
        LD A,(ARW_X)
        SUB L
        JR NC,$+#03
        XOR A
        ADC A,H
        JR C,$+#05
        CP C
        JR C,$+#03
        LD A,C
        LD (ARW_X),A
        LD HL,(MSHIFTY)
        LD A,(ARW_Y)
        SUB L
        JR NC,$+#03
        XOR A
        ADC A,H
        JR C,$+#05
        CP B
        JR C,$+#03
        LD A,B
        LD (ARW_Y),A
           ld hl,(DarwX)     ;     X  /DA
           ld de,(MSHIFTX)
           ld c,e
           xor a
           ld b,a
           sbc hl,bc
          jr nc,1F
           ld h,a
           ld l,a   ; hl=0
1          ld c,d
           add hl,bc
.check     ld a,h
           or a
          jr z,3F
           ld a,(DarwXM)
           cp #FF          ; #FF -    255
          jr nz,1F
           ld h,a
           inc h
          jr 2F   ; hl=#00FF
1          cp l
          jr nc,3F
2          ld l,a
3          ld (DarwX),hl
         RET

TEST_gui
        LD A,(MICE)
        AND A
        JR Z,NOMO
YESMO   CALL CHBUTT
        XOR A
test    LD (MOUSDR),A
        RET

NOMO    XOR A
        LD (FIRE),A
        LD (CANCEL),A
        LD (MDIRECT),A
        LD A,#C9
        JR test

