; en - ENGLISH localisation /  
;------------------------------------------------;
;     Document used WINDOWS cp1251 codepage      ;
;         and compiled for SjASMPlus             ;
;------------------------------------------------;
;     WINDOWS cp1251  ;
;           SjASMPlus             ;
;------------------------------------------------;

  ;    INCLUDE "local\en\help.asm"

      page    GUIPage
      ORG #C000

FONT    ; Loaded at addres #C000 in GUI page
        INCBIN "52f.bin"

;              PUBLIC and MAIN
;----------------------------------------------
  MACRO MSG_DISK_drive : DB "Drive" : ENDM
  MACRO MSG_DISK_Load_ : DB "Load_" : ENDM
  MACRO MSG_DISK_Save_ : DB "Save_" : ENDM
  MACRO MSG_DISK_Load  : DB "Load" : ENDM
  MACRO MSG_DISK_Save  : DB "Save" : ENDM
  MACRO MSG_OPER_or    : DB "OR"  : ENDM
  MACRO MSG_OPER_xor   : DB "XOR" : ENDM
  MACRO MSG_OPER_and   : DB "AND" : ENDM
  MACRO MSG_OPER_nop   : DB "NOP" : ENDM
  MACRO MSG_OPER_msk   : DB "MSK" : ENDM
  MACRO MSG_OPER_put   : DB "PUT" : ENDM
  MACRO MSG_PROCESS    : DB "Process_" : ENDM
  MACRO MSG_ERROR      : DB "Error" : ENDM
  MACRO MSG_2Mbut      : DB "Button 2" : ENDM
  MACRO MSG_Menu       : DB "<< Menu" : ENDM
  MACRO MSG_pMGN       : DB "Magnify" : ENDM
  MACRO MSG_pUndo      : DB "Undo" : ENDM
  MACRO MSG_SAVEin     : DB "Save in " : ENDM

; Data messages
  MACRO MSG_DATA_ERROR
     DB "    Warning!",13
     DB "Wrong format",13
     DB "or no data." 
   ENDM
 ; MACRO MSG_DATA_AskYN
 ;    DB "Are you sure?",13
 ;    DB "  Yes",#17,5,"No"
 ;  ENDM
 
  MACRO MSG_CheckT       : DB "Caution !" : ENDM
  MACRO MSG_ClAddP       : DB "AddPage data will be erased !" : ENDM
  MACRO MSG_ChContin     : DB "Continue ?" : ENDM
  MACRO MSG_No           : DB "No" : ENDM
  MACRO MSG_Yes          : DB "Yes" : ENDM
  MACRO MSG_DATA_Ask     : DB "Are you sure?" : ENDM
  
  MACRO MSG_NoMem_       : DB "Not enough memory !" : ENDM
           
;              GUI Messages
;------------------------------------------------

 ; DOS messages

  MACRO MSG_DOS_rep    : DB "   Repeat ? " : ENDM
  MACRO MSG_DOS_yes_no : DB "  Yes     No" : ENDM

  MACRO MSG_DOS_mess0 : DB "  No errors" : ENDM
  MACRO MSG_DOS_mess1 : DB "  No File" : ENDM
  MACRO MSG_DOS_mess2 : DB " File exists" : ENDM
  MACRO MSG_DOS_mess3 : DB "  Disk full" : ENDM
  MACRO MSG_DOS_mess4 : DB " Dir. is full" : ENDM
  MACRO MSG_DOS_mess5 : DB "   No Disk" : ENDM
  MACRO MSG_DOS_mess6 : DB "    Error!" : ENDM
  MACRO MSG_DOS_mess7 : DB "Break pressed" : ENDM
  MACRO MSG_DOS_hmess : DB " Some garbage" : ENDM
  MACRO MSG_FILE_big  : DB " File big!" : ENDM
  MACRO MSG_FILE_No    : DB "File not found" : ENDM
  MACRO MSG_FILE_exist : DB "File exists" : ENDM
  MACRO MSG_FILE_overW : DB "Write over" : ENDM
  MACRO MSG_FILE_reWr  : DB "Rewrite" : ENDM
  
 ;Filer messages
  MACRO MSG_Filer_FMan : DB "  File Manager" : ENDM

;               BGE Messages
;-------------------------------------------------

; Plug-ins
  MACRO MSG_Plug_title  : DB "Plug-ins" : ENDM
  MACRO MSG_Plug_curr   : DB "Current" : ENDM
  MACRO MSG_Plug_list   : DB "List" : ENDM
  MACRO MSG_Plug_ex     : DB "Change" : ENDM
  MACRO MSG_Plug_del    : DB "Delete" : ENDM
  MACRO MSG_Plug_add    : DB "Add" : ENDM
  MACRO MSG_Plug_empty  : DB "Empty" : ENDM

; Objects
  MACRO MSG_Objs_title  : DB "Objects" : ENDM
  MACRO MSG_Objs_Width  : DB "Width ? " : ENDM   ; 8 chars !!!
  MACRO MSG_Objs_Fill   : DB "Fill ?  " : ENDM   ; 8 chars !!!
    
; BGE_Help
 ; MACRO MSG_Help_Intr   : DB "Introduction" : ENDM
 ; MACRO MSG_Help_MainM  : DB "Main menu" : ENDM
 ; MACRO MSG_Help_FileM  : DB "File menu" : ENDM
 ; MACRO MSG_Help_Plugs  : DB "Plugins & overlays" : ENDM
 ; MACRO MSG_Help_TxtOut : DB "Text" : ENDM
 ; MACRO MSG_Help_Win8   : DB "Windows x8" : ENDM
 ; MACRO MSG_Help_Win1   : DB "Windows x1" : ENDM
 ; MACRO MSG_Help_RGB    : DB "Select colour" : ENDM
 ; MACRO MSG_Help_Loupe  : DB "Loupe" : ENDM
 ; MACRO MSG_Help_Diz    : DB "Dithering" : ENDM
 ; MACRO MSG_Help_Mix    : DB "Mixing" : ENDM
 ; MACRO MSG_Help_2scr   : DB "Screen 2" : ENDM
 ; MACRO MSG_Help_scrs   : DB "Screen" : ENDM
 ; MACRO MSG_Help_Fill   : DB "Fill" : ENDM
 ; MACRO MSG_Help_Prims  : DB "Primitives" : ENDM
 ; MACRO MSG_Help_Brush  : DB "Brushes" : ENDM
 ; MACRO MSG_Help_D_Can  : DB "Dithering Can" : ENDM
 ; MACRO MSG_Help_Aero   : DB "Aerosol" : ENDM
 ; MACRO MSG_Help_Cells  : DB "Cells" : ENDM
 ; MACRO MSG_Help_Misc   : DB "Miscelaneous" : ENDM
 ; MACRO MSG_Help_Sets   : DB "SetUp" : ENDM
 ; MACRO MSG_Help_Undo   : DB "Undo" : ENDM
 ; MACRO MSG_Help_Addi   : DB "Additionally" : ENDM
 ; MACRO MSG_Help_Hist   : DB "History" : ENDM
 ; MACRO MSG_Help_Auth   : DB "Authors" : ENDM

; File menu +
  MACRO MSG_DISK_File      : DB "File" : ENDM
  MACRO MSG_DISK_BLC_      : DB "Load BLC_" : ENDM
  MACRO MSG_DISK_SV_as_    : DB "Save as_" : ENDM
  MACRO MSG_DISK_SV_in_    : DB "Save in_" : ENDM
  MACRO MSG_DISK_LD_D_     : DB "Load double_" : ENDM
  MACRO MSG_DISK_SV_D_     : DB "Save double_" : ENDM
  MACRO MSG_DISK_RAMdisk_  : DB "RAM-disk_" : ENDM
  MACRO MSG_DISK_LD_p_     : DB "Load+_" : ENDM
  MACRO MSG_DISK_SV_p_     : DB "Save+_" : ENDM
  MACRO MSG_DISK_SprtSCAN  : DB "Sprite scan" : ENDM
  MACRO MSG_DISK_Files     : DB "Files" : ENDM
  MACRO MSG_DISK_UnPack    : DB "Decompression" : ENDM

; Miscellaneous
  MACRO MSG_MISC_Head     : DB "Miscellaneous" : ENDM
  MACRO MSG_MISC_Dith     : DB "Dithering" : ENDM
  MACRO MSG_MISC_Fnt      : DB "Fnt font" : ENDM
  MACRO MSG_MISC_Chr      : DB "Chr font" : ENDM
  MACRO MSG_MISC_Sprts    : DB "Sprites" : ENDM
  MACRO MSG_MISC_SprtCnv  : DB "Sprite export" : ENDM
  MACRO MSG_MISC_SprtHac  : DB "Sprite scanner" : ENDM
  MACRO MSG_MISC_About    : DB "About" : ENDM
  MACRO MSG_MISC_Setup    : DB "Setup" : ENDM
  MACRO MSG_MISC_Quit     : DB "Quit" : ENDM
 
; SETUP
  MACRO MSG_SETUP_Head      : DB "SetUp" : ENDM
  MACRO MSG_SETUP_Mouse     : DB "Kempston mouse" : ENDM
  MACRO MSG_SETUP_3bt       : DB "3rd button" : ENDM
 ; MACRO MSG_SETUP_DrvM      : DB "Driver" : ENDM
  MACRO MSG_SETUP_Scroll    : DB "Scroller" : ENDM
  MACRO MSG_SETUP_SMB       : DB "Swap buttons" : ENDM
  MACRO MSG_SETUP_Slow_M    : DB "Slow mouse" : ENDM 
  MACRO MSG_SETUP_Joi       : DB "Kempston joystick" : ENDM
  MACRO MSG_SETUP_Cursor    : DB "Cursor_" : ENDM
  MACRO MSG_SETUP_Step      : DB "Step " : ENDM    ; 5 bytes
  MACRO MSG_SETUP_Level     : DB "Level" : ENDM    ; 5 bytes
  MACRO MSG_SETUP_Speed     : DB "Speed" : ENDM    ; 5 bytes  
  MACRO MSG_SETUP_Turbo     : DB "Turbo drives" : ENDM
  MACRO MSG_SETUP_Loup8     : DB "Loupe x8" : ENDM
  MACRO MSG_SETUP_Loup      : DB "Loupe_" : ENDM
  MACRO MSG_SETUP_LpGRD4    : DB "Old Grid 4" : ENDM

;FILES MINI COMMANDER
  MACRO MSG_FILES_View   : DB "View" : ENDM
  MACRO MSG_FILES_Load   : DB "Load" : ENDM
  MACRO MSG_FILES_Copy   : DB "Copy" : ENDM
  MACRO MSG_FILES_Copy1  : DB "Copy_" : ENDM
  MACRO MSG_FILES_Rename : DB "Rename" : ENDM
  MACRO MSG_FILES_Delete : DB "Delete" : ENDM
  
; RGB
  MACRO MSG_RGB_zxULA    : DB "ZX" : ENDM
  MACRO MSG_RGB_ULAplus  : DB "ULA+" : ENDM
  MACRO MSG_RGB_ATMcol   : DB "ATM" : ENDM
  MACRO MSG_RGB_Pallete  : DB "Palette" : ENDM
  MACRO MSG_RGB_Flash_   : DB "Flash" : ENDM
  MACRO MSG_RGB_Ink      : DB "Ink" : ENDM
  MACRO MSG_RGB_Paper    : DB "Paper" : ENDM
  MACRO MSG_RGB_Border   : DB "Border" : ENDM
  MACRO MSG_RGB_Bright   : DB "Bright" : ENDM
  MACRO MSG_RGB_Flash    : DB "Flash" : ENDM
  MACRO MSG_RGB_Off      : DB "Off" : ENDM
  MACRO MSG_RGB_On       : DB "On" : ENDM
  MACRO MSG_RGB_Nop      : DB "Nop" : ENDM
  MACRO MSG_RGB_Standart : DB "Standart" : ENDM
  MACRO MSG_RGB_Transp   : DB "Transparent" : ENDM
  MACRO MSG_RGB_Previous : DB "Previous" : ENDM
  MACRO MSG_RGB_Exchange : DB "Exchange" : ENDM
  MACRO MSG_RGB_Contrast : DB "Contrast" : ENDM
  MACRO MSG_RGB_Take     : DB "Take" : ENDM
  MACRO MSG_RGB_Go_back  : DB "Go back" : ENDM

; Fill
 ; MACRO MSG_Fill_fill  : DB "Fill" : ENDM
 ; MACRO MSG_Fill_solid : DB "Solid" : ENDM
 ; MACRO MSG_Fill_textu : DB "Textured_" : ENDM
 ; MACRO MSG_Fill_edit  : DB "Editor_" : ENDM
 ; MACRO MSG_Fill_wash  : DB "Wash" : ENDM
 ; MACRO MSG_Fill_washP : DB "Wash+" : ENDM

; Texture
  MACRO MSG_Txtr_Fill  : DB "Fill" : ENDM
  MACRO MSG_Txtr_Pmsk  : DB "Pixels Mask" : ENDM
  MACRO MSG_Txtr_solid : DB "Solid" : ENDM
  MACRO MSG_Txtr_Sieve : DB "Sieve" : ENDM
  MACRO MSG_Txtr_Edit  : DB "Texture editor" : ENDM

; LOUPE
  MACRO MSG_LOUPE_curs    : DB "Cursor" : ENDM
  MACRO MSG_LOUPE_default : DB "Default" : ENDM
  MACRO MSG_LOUPE_cros    : DB "Crosshair" : ENDM
  MACRO MSG_LOUPE_mbut2   : DB "Button 2" : ENDM
  MACRO MSG_LOUPE_UtoPix  : DB "Undo -> pixel" : ENDM
  MACRO MSG_LOUPE_DelPix  : DB "Delete pixel" : ENDM
  MACRO MSG_LOUPE_UswPix  : DB "Undo <-> pixel" : ENDM
  MACRO MSG_LOUPE_Smooth  : DB "Smooth" : ENDM
  MACRO MSG_LOUPE_FMove   : DB "Scroll" : ENDM
  MACRO MSG_LOUPE_F2pSc   : DB "Shadow screen" : ENDM
  MACRO MSG_LOUPE_MonoCOl : DB "MonoColor" : ENDM
  MACRO MSG_LOUPE_AMonoCl : DB "Scr. Color" : ENDM
  MACRO MSG_LOUPE_ScToUn  : DB "To Undo" : ENDM
  MACRO MSG_LOUPE_UnToSc  : DB "From Undo" : ENDM
  MACRO MSG_LOUPE_UnToScM : DB "From Undo (NoRGB)" : ENDM
  MACRO MSG_LOUPE_Boxes   : DB "Cells" : ENDM
  MACRO MSG_LOUPE_BoxOps     
    DB "I    - Invert",13
    DB "CS+I - Clean",13
    DB "CS+T - From Undo",13
    DB "SS+T - Swap with Undo",13 
   ENDM
   
; EDITS
  MACRO MSG_EDITS_edit    : DB "Edit" : ENDM
  MACRO MSG_EDITS_Clean   : DB "Clean" : ENDM
  MACRO MSG_EDITS_Invert  : DB "Invert" : ENDM
  MACRO MSG_EDITS_Take    : DB "Take scr" : ENDM
  MACRO MSG_EDITS_Put     : DB "Put scr" : ENDM
  MACRO MSG_EDITS_Slot    : DB "Slot>" : ENDM

; PIXELS MASK
 ; MACRO MSG_PMASK_Head    : DB "Pixels Mask" : ENDM
 ; MACRO MSG_PMASK_Sieve   : DB "Sieve" : ENDM
 ; MACRO MSG_PMASK_EdHead  : DB "Edit Mask" : ENDM
 ; MACRO MSG_PMASK_Clean   : DB "Clean" : ENDM
 ; MACRO MSG_PMASK_Invert  : DB "Invert" : ENDM
 ; MACRO MSG_PMASK_Take    : DB "Take scr." : ENDM
 ; MACRO MSG_PMASK_Put     : DB "Put scr." : ENDM
 ; MACRO MSG_PMASK_Slot1   : DB "Set 1" : ENDM
 ; MACRO MSG_PMASK_Slot2   : DB "Set 2" : ENDM
 ; MACRO MSG_PMASK_Slot3   : DB "Set 3" : ENDM
 ; MACRO MSG_PMASK_Please  : DB "First save the settings !" : ENDM

; WINDOWS
  MACRO MSG_WIN_HeadX1    : DB "Windows x1" : ENDM
  MACRO MSG_WIN_HeadX8    : DB "Windows x8" : ENDM
  MACRO MSG_WIN_Def       : DB "Define" : ENDM
  MACRO MSG_WIN_WhSCR     : DB "Whole screen" : ENDM
  MACRO MSG_WIN_Clear     : DB "Clear" : ENDM
  MACRO MSG_WIN_Copy      : DB "Copy window" : ENDM
  MACRO MSG_WIN_CopyP     : DB "Copy window+" : ENDM
  MACRO MSG_WIN_Move      : DB "Move window" : ENDM
  MACRO MSG_WIN_Inv       : DB "Invert" : ENDM
  MACRO MSG_WIN_ReScal    : DB "Re-Scale" : ENDM
  MACRO MSG_WIN_ReScalP   : DB "Re-Scale+" : ENDM
  MACRO MSG_WIN_FlipV     : DB "Flip vertical" : ENDM
  MACRO MSG_WIN_FlipH     : DB "Flip horizontal" : ENDM
  MACRO MSG_WIN_Mode      : DB "Mode: " : ENDM
  MACRO MSG_WIN_Brush     : DB "Brush" : ENDM
  MACRO MSG_WIN_Mult      : DB "Multiple" : ENDM
  MACRO MSG_WIN_Color     : DB "Color" : ENDM
  MACRO MSG_WIN_Scroll_   : DB "Scroll_" : ENDM
  MACRO MSG_WIN_Rot90     : DB "Rotate 90" : DB 248 : ENDM
  MACRO MSG_WIN_Effects   : DB "Effects_" : ENDM
  MACRO MSG_WIN_CurrCol   : DB "Current color" : ENDM
  MACRO MSG_WIN_ChangeCol : DB "Change color" : ENDM
  MACRO MSG_WIN_SelCol    : DB "Select color" : ENDM
  MACRO MSG_WIN_ScrollH   : DB "Scroll" : ENDM
  MACRO MSG_WIN_ScColor   : DB "Color" : ENDM
  MACRO MSG_WIN_ScrolX8   : DB "x8" : ENDM
  MACRO MSG_WIN_ScrolX1   : DB "x1" : ENDM
  MACRO MSG_WIN_ScrollRUN : DB " Start" : ENDM
  MACRO MSG_WIN_OutLine   : DB "Outline" : ENDM
  MACRO MSG_WIN_GrowOut   : DB "Grow out" : ENDM
  MACRO MSG_WIN_GrowIn    : DB "Grow in" : ENDM
  MACRO MSG_WIN_TakeOut   : DB "Take out" : ENDM
  MACRO MSG_WIN_Ink       : DB "Ink" : ENDM
  MACRO MSG_WIN_Paper     : DB "Paper" : ENDM
  MACRO MSG_WIN_Change    : DB "Change" : ENDM
  MACRO MSG_WIN_Undo      : DB "Undo" : ENDM

; BOX
  MACRO MSG_BOX_Head      : DB "Cells" : ENDM
  MACRO MSG_BOX_CurrCol   : DB "Current color" : ENDM
  MACRO MSG_BOX_Clear     : DB "Clear" : ENDM
  MACRO MSG_BOX_Inv       : DB "Invert" : ENDM
  MACRO MSG_BOX_InvCol    : DB "Invert. color" : ENDM
  MACRO MSG_BOX_Reverse   : DB "Reverse" : ENDM
  MACRO MSG_BOX_Copy      : DB "Copy once" : ENDM
  MACRO MSG_BOX_CopyP     : DB "Copy many" : ENDM
  MACRO MSG_BOX_Scr2      : DB "Shadow screen" : ENDM
  MACRO MSG_BOX_Mode      : DB "Mode: " : ENDM
  MACRO MSG_BOX_atUndo    : DB "From Undo" : ENDM

; Chunks & Mixing
  MACRO MSG_Cnk_Dith        : DB "Dithering" : ENDM
  MACRO MSG_Cnk_Convert     : DB "Convert" : ENDM
  MACRO MSG_Cnk_Toscr       : DB "To screen" : ENDM
  MACRO MSG_Cnk_View        : DB "View" : ENDM
  MACRO MSG_Cnk_Bright      : DB "Brightness" : ENDM

  MACRO MSG_Mix_Mixing      : DB "Mixing" : ENDM
  MACRO MSG_Mix_2screen     : DB "Shadow screen" : ENDM
  MACRO MSG_Mix_Chunk       : DB "Chunk" : ENDM
  MACRO MSG_Mix_File        : DB "File_" : ENDM
  MACRO MSG_Mix_Txtr        : DB "Texture" : ENDM
  MACRO MSG_Mix_Scr2msk     : DB "ask shad.scr." : ENDM
  MACRO MSG_Mix_Window      : DB "Window" : ENDM

; TEXTURE
  MACRO MSG_TXTR_head  : DB "Texture ?" : ENDM
  MACRO MSG_TXTR_edit  : DB "Edit" : ENDM
  MACRO MSG_TXTR_solid : DB "Solid" : ENDM

;BRUSH
  MACRO MSG_BRUSH_head       : DB "Brushes" : ENDM
  MACRO MSG_BRUSH_headED     : DB "Edit" : ENDM
  MACRO MSG_BRUSH_emptyER    : DB "Empty brush" : ENDM
 ; MACRO MSG_BRUSH_Slot       : DB "Slot" : ENDM
  MACRO MSG_BRUSH_Draw       : DB "   Draw" : ENDM
  MACRO MSG_BRUSH_storeIn    : DB "Store in_" : ENDM
  MACRO MSG_BRUSH_Step       : DB "Step" : ENDM
  MACRO MSG_BRUSH_Disp       : DB "Displac." : ENDM

; CoordXY
  MACRO MSG_Coord_Attr       : DB "Cells:" : ENDM
  MACRO MSG_Coord_Pix        : DB "Pixels:" : ENDM
  MACRO MSG_Coord_AdrAtr     : DB "Attr. addr" : ENDM
  MACRO MSG_Coord_AdrPix     : DB "Pixel addr" : ENDM

; Aerosol messages
  MACRO MSG_Aerosol_title     : DB "Aerosol" : ENDM
  MACRO MSG_Aerosol_DithCan   : DB "Dithering" : ENDM
  MACRO MSG_Aerosol_PixelSp   : DB "Pixels" : ENDM
  MACRO MSG_DithCan_layer     : DB "Layer" : ENDM
  MACRO MSG_DithCan_tube      : DB "Tube" : ENDM
  MACRO MSG_DithCan_spray     : DB "Spray" : ENDM
  MACRO MSG_DithCan_aerosol   : DB "Aerosol" : ENDM
  MACRO MSG_DithCan_slowly    : DB "Slowly" : ENDM
  MACRO MSG_DithCan_increase  : DB "Increase" : ENDM
  MACRO MSG_DithCan_decrease  : DB "Decrease" : ENDM

; Screen
  MACRO MSG_ExSCR_title       : DB "Screen" : ENDM
  MACRO MSG_ExSCR_Put         : DB "Put to shad.scr." : ENDM
  MACRO MSG_ExSCR_Take        : DB "Take from shad." : ENDM
  MACRO MSG_ExSCR_Exch        : DB "Exchange" : ENDM
  MACRO MSG_Multiscr          : DB "Multiscreen" : ENDM
  MACRO MSG_ClearPx           : DB "lear screen" : ENDM
  MACRO MSG_Delete            : DB "Delete" : ENDM
  MACRO MSG_GridOn            : DB "Grid on" : ENDM
  MACRO MSG_GridOff           : DB "Grid off" : ENDM
  MACRO MSG_BrgOff            : DB "Bright off" : ENDM
  MACRO MSG_PxAddr            : DB "Addressing" : ENDM

; CHR font  
  MACRO MSG_CHR_title         : DB "CHR font" : ENDM
  MACRO MSG_CHR_CType         : DB "Type from" : ENDM
  MACRO MSG_CHR_Type          : DB "Type" : ENDM
  MACRO MSG_CHR_TipeIn        : DB "Type in_" : ENDM
  MACRO MSG_CHR_Check         : DB "Check" : ENDM
  MACRO MSG_CHR_Load_         : DB "Load_" : ENDM
  MACRO MSG_CHR_Search        : DB "Search_" : ENDM
  MACRO MSG_CHR_About         : DB "About" : ENDM
  MACRO MSG_CHR_Tipe_In       : DB "Type in" : ENDM
  MACRO MSG_CHR_param         : DB "Font parameters" : ENDM
  MACRO MSG_CHR_Warning       : DB "  Warning!" : ENDM
  MACRO MSG_CHR_LongFile      : DB "Long file" : ENDM
  
  MACRO MSG_CHR_ParamW     ; With labels strictly in line size.
FCHR    DB "Filename .... noname  chr",13
NAMECHR DB "Font name .......... 1234",13
FRSTCHR DB "First glyph ......... 000",13
LASTCHR DB "Last glyph .......... 000",13
HIGHMAX DB "Glyph height ........ 000",00
   ENDM 
 
; Sprites
  MACRO MSG_SPRtitle     : DB "Sprites" : ENDM
  MACRO MSG_Title_cut    : DB "Cut" : ENDM
  MACRO MSG_cut          : DB "Cut:" : ENDM
  MACRO MSG_CutSize      : DB "Size" : ENDM
  MACRO MSG_CutPixels    : DB "Pixels" : ENDM
  MACRO MSG_CutMask      : DB "Mask" : ENDM
  MACRO MSG_CutAttr      : DB "Attrs" : ENDM
  MACRO MSG_CutStart     : DB "   Cut >>" : ENDM
  MACRO MSG_AtTrn        : DB "Transparent" : ENDM    ; 11 chars maximum
  MACRO MSG_AtNoPix      : DB "No pixels" : ENDM    ; 11 chars maximum
  MACRO MSG_AtTrAtt      : DB "Attr.   #" : ENDM      ; 9 chars with '#' for equal position with MSG_AtMask
  MACRO MSG_AtMask       : DB "Mask    #" : ENDM      ; 9 chars with '#' for equal position with MSG_AtTrAtt
  MACRO MSG_CutFrScr     : DB "from the screen" : ENDM
  MACRO MSG_CutFrScr2    : DB "from shadow screen" : ENDM
  MACRO MSG_CutFrFlScr   : DB "from screen file" : ENDM
  MACRO MSG_Mend         : DB "Sprite first" : ENDM
  MACRO MSG_Mstart       : DB "Mask first" : ENDM
  MACRO MSG_2M           : DB "From shadow screen" : ENDM
  MACRO MSG_Msk_         : DB "Mask" : ENDM
  MACRO MSG_Ink_         : DB "Ink" : ENDM
  MACRO MSG_Paper_       : DB "Paper" : ENDM
  MACRO MSG_Brg_         : DB "Bright" : ENDM
  MACRO MSG_Flash_       : DB "Flash" : ENDM
  MACRO MSG_Atr_         : DB "Attr." : ENDM
  MACRO MSG_AtMaskV      : DB "Attr.mask" : ENDM
  MACRO MSG_NewSPR       : DB "New set" : ENDM
  MACRO MSG_InsSPR       : DB "Last<<=" : ENDM
  MACRO MSG_MoveSPR      : DB "To end =>>" : ENDM
  MACRO MSG_CopySPR      : DB "Copy =>>" : ENDM
  MACRO MSG_DelSPR       : DB "Delete ><" : ENDM
  MACRO MSG_CutSPR       : DB "Cut_" : ENDM
  MACRO MSG_toScrSPR     : DB "To screen>>" : ENDM
  MACRO MSG_Anime        : DB "Animation>>" : ENDM
  MACRO MSG_swShSCR      : DB "Swap screens" : ENDM
  MACRO MSG_toScrTitle   : DB "To screen" : ENDM
  MACRO MSG_toScrMode    : DB "Mode: " : ENDM
  MACRO MSG_toScrPix     : DB "Pixels" : ENDM
  MACRO MSG_toScrMask    : DB "Mask" : ENDM
  MACRO MSG_toScrAtr     : DB "Attributes" : ENDM
  MACRO MSG_AniDel       : DB "Delete all frames" : ENDM  

; Sprite export
  MACRO MSG_ExpS_Title  : DB "Sprite export" : ENDM
  MACRO MSG_ExpS_Form   : DB "It's not ready yet." : ENDM 

; Sprite hacker
  MACRO MSG_SpHack_Title  : DB "Sprite scanner" : ENDM
  MACRO MSG_SpHack_Open   : DB "Open file" : ENDM
  MACRO MSG_SpHack_Scan   : DB "Scanner" : ENDM
  MACRO MSG_SpHack_Toscr  : DB "To screen" : ENDM
  MACRO MSG_SpHack_Loupe  : DB "Loupe" : ENDM
  MACRO MSG_SpHack_toDSK  : DB "To disk_" : ENDM  
  MACRO MSG_SpHack_Warning 
        DB "          Warning!",13
        DB "Please read the manual",13
        DB "before using this option,",13
        DB "because there is a",13
        DB "possibility to corrupt data",13
        DB "       on the disk..."
   ENDM
  