;         Main file of Burial Gfx Editor v3.12--               ;
;                         (2019)                               ;
;                                                              ;
; Assembler: SjASMPlus Z80 Cross-Assembler v1.14.5             ; 
;            (https://github.com/z00m128/sjasmplus)            ;                 ;
; OS:        Linux and Wine                                    ;
; Emulators: Xpeccy, Fuse, Unreal Speccy, RVM                  ;
;                                                              ;
; Included modified GUI sources                                ;
;                                                              ;
;                  based of                                    ;
;                                                              ;
;                                                              ;
;                Main file of Burial Gfx Editor v.3.o5         ;
;                            (2ooo-2oo1)                       ;
;                                                              ;
;                      Open Sources for PHAT01                 ;
;                          Official releaze                    ;
;                       (without Supreme-GUI)                  ;
;                                                              ;
; Assembler: Alasm 4.42                                        ;
; Computer : Kay 1o24 (64pages)                                ;
;                                                              ;
; (c) Copyright Delirium Tremens from Freedom                  ;
; (c) Copyright Sinn from Delirium Tremens                     ;
;                                                              ;
;..............................................................;


COMPILE EQU 1 ; flag 0 - for edit compilation  ;; not used /DA
              ; flag 1 - for full compilation  ;; only used
;...............................................................
;  BurGE 3.xx
;
   DISPLAY "Compile BGE v3.12 (2020)"
   DISPLAY "Based of Burial Gfx Editor v.3.o5 and Supreme-GUI"
   DISPLAY "(c) Copyright Delirium Tremens from Freedom"
   DISPLAY "(c) Copyright Sinn from Delirium Tremens"
   DISPLAY "(2ooo-2oo1)"
   DISPLAY " "
   
        device  zxspectrum128

BeginGUI EQU #C800
SCREEN   EQU #C000
UNDOSCR  EQU #C000+6912
ScrPage  EQU 0
SuxPage  EQU 1
GUIPage  EQU 3
AddPage  EQU 4
PgnPage1 EQU 6
PgnPage2 EQU 7
RamPage  EQU 7
PgnAdr   EQU #A500
AddAdr   EQU #C000
Buffer   EQU #C000-#400
SCRSPR   EQU #C000
ATRSPR   EQU SCRSPR+6144
SCRBGE   EQU #C000+6912
A_PGN1   EQU #C000  ;   
A_PGN2   EQU #DB00  ;   
LEN_PGN  EQU 6912   ; .  
MINPAGE  EQU 255    ; .   BGE256
;...............................................................

    page    GUIPage
    ORG #C000
    INCLUDE "local.asm" ; Load Font and Local Resurces
;   INCBIN  "gui2"

    ORG #6000
    INCLUDE "PGNJP.asm"  ; (Dart Alver)      INCLUDE
    DISPLAY " End PGNJP adr : ",$
    ASSERT  $ < #6129

    ORG #6128
    INCLUDE "GuiVar.asm"
    
    ASSERT  $ < #61C1
    ORG #61C0              ; RAM-driver for extended memory    /v3.12
PG_NOTUSED DB 0      ;       ( >7 )  0                            
EXRAM_DRV  DS 64     ; place for ram_driver 64 Bytes max          
            
    ;     
ExtMem_  DB 0        ; setup extend mem          
ExtMem   DB 0        ; extend memory flag 
ExtPage  DB 0        ;   

;RSCT -  64   
; ,  
; RamDisk' (256 ).
RSCT    EQU     23296    ; #5B00

; RPAGE  TKARD 
; Ram Disk'
RPAGE   DB      0 ;  
                  ;   Ram Disk'
TKARD   DB      0 ; 

           DB 0
TABL_PG    DS 64    
           DB 0

ONPAGE   push bc
         push hl
         ld c,a
         ld b,0
         ld hl,TABL_PG
         add hl,bc
         ld a,(hl)
         pop hl
         pop bc
;     A
EX_RAM  DI
         push hl
         push de
         push bc
         push af
         call EXRAM_DRV
         pop af
         pop bc
         pop de
         pop hl
         ei
        ret

;         
        
ExtPgns  DB 0      ;      (     384 K)

VAerosol   ;      VAerosol.type
.xy     DB 13,2    ; x,y 
.type   DB 0      ;  0-dithering , 1-pixeling
.s_i    DB 4,2   
.mods   DB 2,0
.bt2    DB 0
        
ramDRVname DB "bgeRAMdrram",0
          
        INCLUDE "ResGUI.asm"
        INCLUDE "Disk1.asm"
        INCLUDE "Coord1.asm"
        
;ESA        :[ Commits Delated ] /DA v3.12


RUN        
.a_

; ---------------------------------------
; -    -    :[ Commits Delated ] /DA v3.12
; ---------------------------------------

.b
; ---------------------------------------
Main    LD SP,0
SPP     EQU $-2

        CALL LOADSCR
;main    CALL ERASE_ALLW
main      ld sp,(SPP)
          call ERASE_ALLW
          ld a,ArrCancel_Y   ;  cancel     /DA
          call GUI
        CALL IniVar
        LD IX,MWin
     ;   LD A,%1000   ; %1001
        LD (IX+6),%1000    ;A
        CALL Win_
        CP #FF
        JR Z,lookde2_
        LD BC,TBMain
      ;  JP TAB_JP
        call TAB_JP
       jr main

lookde2_
        LD A,(BRK)
        BIT 1,A
        JP Z,lookde2
        LD IX,WC
        CALL POPUP
   ; push    hl,af   ;      /DA
   ; ld  a,[ix+0]
   ; inc a
   ; add a,a
   ; add a,a
   ; add a,a
   ; ld  l,a
   ; ld  a,[ix+1]
   ; inc a
   ; add a,a
   ; add a,a
   ; add a,a
   ; ld  h,a
   ; ld  [ARW_X],hl
   ; pop af,hl
        CALL Win_

        CALL CLOSE_
        CP #FF
        JP Z,main
        LD BC,TBPup
        JP TAB_JP

ReWin  ; CALL LOADSCR
       ; CALL ERASE_ALLW
        call LoadScr_CLW
.i      CALL IniVar
        LD IX,MWin
        LD A,%1000  ; %1001
        LD (IX+6),A
        CALL Window_
        RET
        
LoadScr_CLW   call ERASE_ALLW
             jp LOADSCR

main_   CALL CLOSE_ALLW
        JP main

Main_SV CALL SAVESCR
     ;   JP Main
       jr lookdel.m

lookdel CALL LOADSCR
.e      CALL NOKEY_
.m      JP Main   
        
lookde2 CALL LOADSCR
        CALL NOKEY_
         xor a
         ld (LAST_KEY),a
        CALL WAITKEY_
         ld a,(LAST_KEY)  ;         /DA
         cp "L"  
        jr z,1F
         cp "l" ; "l"-"1"
        jr nz,2F
1        call SwapSCRS  
       jr lookde2                    
2      ;  CALL NOKEY_
         call SAVESCR  ;   ( FUSE) -  -   /DA
       ; JP Main
       jr lookdel.e

TBPup   DW EMgn
        DW SCRAM
        DW UNDO
        DW dldscr
        DW dsvscr
        DW EMgn

WC      DB 0,0,8,7,5*8,5,%1110,0
        DW Twc
        DW Swc
        DW #FFFF
Twc
  ;  if rus
  ;      DB #8B, #E3, #AF, #A0, 13; 
  ;      DB #8E, #A1, #AC, #A5, #AD, #EF, #E2, #EC, 13; 
  ;      db #8a,#ae,#e0,#a7,#a8,#ad,#a0,13;DB "",13
  ;      db #8e,#e2,#aa,#e0,#eb,#e2,#ec,13;DB "",13
  ;      DB #91, #AE, #E5, #E0, #A0, #AD, #A8, #E2, #EC, 0; ;DB "",13
  ;  else
  ;      DB "Magnify",13
  ;      DB "Exchange",13
  ;      db "Undo",13
  ;      db "Load",13
  ;      DB "Save",0
  ;  endif
           MSG_pMGN : DB 13
           MSG_ExSCR_Exch : DB 13
           MSG_pUndo : DB 13
           MSG_DISK_Load : DB 13
           MSG_DISK_Save : DB 0
  
  

Swc    ; DB 1,1,6,1,%11 ; del for new GUI /DA
       ; DB 1,2,6,1,%11
       ; DB 1,3,6,1,%11
       ; DB 1,4,6,1,%11
       ; DB 1,5,6,1,%11
        DB 1,1,6,128+5,%11
        DB #FF

; WC      DB 0,0,8,10,5*8,5,%1110,0
        ; DW Twc
        ; DW Swc
        ; DW #FFFF
; Twc     db #8a,#ae,#e0,#a7,#a8,#ad,#a0,13;DB "",13
        ; db #8e,#e2,#aa,#e0,#eb,#e2,#ec,13;DB "",13
        ; DB #91, #AE, #E5, #E0, #A0, #AD, #A8, #E2, #EC, 13; ;DB "",13
        ; DB #8B, #E3, #AF, #A0, 13; 
    ; DB #87, #A0, #AB, #A8, #A2, #AA, #A0, 13; 
    ; DB #8F, #E0, #A8, #AC, #A8, #E2, #A8, #A2, 13; 
    ; DB #9F, #E7, #A5, #a9, #AA, #A8, 13; 
    ; DB #8E, #A1, #AC, #A5, #AD, #EF, #E2, #EC, 0; 

; Swc     DB 1,1,6,1,%11
        ; DB 1,2,6,1,%11
        ; DB 1,3,6,1,%11
        ; DB 1,4,6,1,%11
        ; DB 1,5,6,1,%11
        ; DB 1,6,6,1,%11
        ; DB 1,7,6,1,%11
        ; DB 1,8,6,1,%11
        ; DB #FF
;-----------------

IniVar  ;LD HL,ARWSPR
        ;LD (ARW_ADR),HL   ;    /DA
        ld a,ARW_DEFAULT   ;   
        call GUI
        LD HL,Ret
        LD DE,Ret
        CALL SInt1
        LD HL,Main_IntP
        LD A,PUT_INT
        CALL GUI
        LD HL,Main_IntG
        LD A,GET_INT
        CALL GUI
        LD HL,COOR_N
        LD (COOR_P+1),HL
        LD A,ARW_OLD
        CALL GUI
        CALL NormSpd
        XOR A
        LD (ARWXMN),A
        LD (ARWYMN),A
        DEC A
        LD (ARWXMX),A
        LD A,191
        LD (ARWYMX),A
        RET

NormSpd LD HL,STEPN
        LD DE,STEP
        LDI
        LDI
        LDI
        RET

STEPN   DEFB 6
LEVELN  DEFB 10
SPEEDN  DEFB 1

SInt1   LD (IntP1),HL
        LD (IntG1),DE
        RET

TBMain  DW EDisk     ; 00
        DW EPgns
      ;  DW EEXE256  ;  3.12   EPgns /DA
     ;   DW EChr   ;    /DA
       ; DW EFnt
        DW EWin8
        DW EWin1
        DW EBox
        DW ERGB
        DW EMgn
       ;  DW ECnk
        DW EMask
        DW EScreens  ; ERDisk
        DW EFill
        DW EObjects  ; ESNAPE
        DW Ebrushes
        DW Eaerosol   ; EDithCan   ; EBrush
      ;  DW EBox
        DW EMisc
        DW UNDO
;       DW Exit_DOS  ; 16
        DW lookdel
        DW EObjects  ; ESNAPE_       
        
SUNDO   CALL SV_UNDO
        JP Main

Exit_DOS
         call ScrRam
         ld hl,#0000
         push hl
        jp #3D21

   ;     LD SP,(SPP)
   ;     IF COMPILE
    ;    RET
   ;     ENDIF
    ;    DI
     ;   LD SP,#5FFF
    ;    XOR A
    ;    CALL RAM
    ;    AND A
    ;    SBC HL,HL
    ;    PUSH HL
    ;    JP #3D21

;EMisc   XOR A
      ;  CALL LPGN1
      ;  JP PgnAdr


;ETekBox LD A,1
;        CALL LPGN2
;        JP Tek_Box

; EBox    LD A,1
;         JP exe2

;ESolidE LD A,2
;        CALL LPGN1
;        JP ESolid

EChBut  LD HL,(manbut)
        CPHL0
        LD A,H
        OR L
        JR Z,chbut2
        AND A
        SBC HL,HL
chbut0  LD (manbut),HL
        JP Main
chbut2  LD HL,BUTTONS
        JR chbut0

;ETFillE LD A,2
;        CALL LPGN1
;        CALL etfill
;        JP main_

;ETWashE LD A,2
;        CALL LPGN1
;        JP EWash

;ETWashe LD A,2
;        CALL LPGN1
;        JP ewash_

;EFill   LD A,2
;exe     CALL LPGN1
;        JP PgnAdr

; ECnk    LD A,3
;        ; JR exe    ;   /DA
;         jr exe2


EMask   LD A,3
       ; CALL LPGN1 ;   /DA
       ; call LPGN2
       ; JP BMask
         call SWPGN2
         call BMask
       jp exitSWpgn
       
CWin8   ;CALL SAVEOBJ
         call retSWpgn
EWin8   LD A,4
     ;   JR exe
        jr JPclSWP1

EWin8_  LD A,4
      ;  CALL LPGN1
        call SWPGN1
        CALL SV_UNDO
        JP DEFINE8


CWin1  ; CALL SAVEOBJ
        call retSWpgn
EWin1   LD A,5
       ; JP exe
JPclSWP1  jp callSWP1

EWin1_  LD A,5
       ; CALL LPGN1
            call SWPGN1
        CALL SV_UNDO
        JP DEFINE1  

LOUPE    call ERASE_ALLW     ;     (   ) /DA
         ld hl,(SPP)
         ld (ELOUPE.spp),hl
         ld (SPP),sp
         ld hl,ELOUPE
        jr EMgn.a
EMgn   ; LD A,7
       ; JP exe
        ld hl,exitMGN.mgn
.a      ld (exitMGN.adr),hl
        ld a,7
exeSWP1   call SWPGN1   ;     /DA
1       jp PgnAdr
exeSWP2   call SWPGN2   ;     /DA
        jr 1B       
EFill     ld a,2
callSWP1  call exeSWP1
exitSWpgn call retSWpgn        ;        /DA
          jp Main
          
EBox      LD A,1           ;v3.12 /DA
         jr jpSWP2
         
EBoxU     ld a,1           ;     ; v3.12 /DA 
          call SWPGN2
          call EBOX_u
         jr exitSWpgn

EMisc   xor a
       jr callSWP1         

ECOORD    ld a,10
         jr callSWP1   ; v 3.12 /DA     
;EDithCan ld a,9
callSWP2 call SWPGN2   ;     /DA
         call PgnAdr
        jr exitSWpgn


EScreens  ld a,12          ; v3.12 /DA
          call SWPGN1
          call MScreen
         ; call retSWpgn
         ;jp main_
exitMGN   call retSWpgn       ;  /DA
         jp 0
.adr  EQU $-2
.mgn     ld sp,(SPP)
         jp Main
ELOUPE   ld sp,(SPP)
         ld hl,0
.spp    EQU $-2
         ld (SPP),hl
         ret
         
ECnk     ld a,3
jpSWP2    call exeSWP2
        jr retSWpgn
        
EObjects   ld a,8
          jr jpSWP2   
        
        
;        jr exe2
; EChr    LD A,6
; EFnt    LD A,8          ;   /DA
;exe2    CALL LPGN2
;        JP St_Cnk

;LPGN2   LD B,PgnPage2
;        JR lpgn

;JBrush  LD A,9
;        CALL LPGN2
;        CALL BrsSel
;        PUSH AF
;        CALL CLOSE
;        CALL SAVEOBJ
;        POP AF
;        JP C,main_
;        CALL prtbrsK
;        CALL NormSpd
;        CALL SAVESCR
;        LD A,ARW_OLD
;        CALL GUI
;        JP Main

Eaerosol      ld a,1
1             ld (StartOVR.num),a
             jp StartOVR
Ebrushes      ld a,2
             jr 1B

;EBrush  LD A,9
;        JP exe2

;EFnt    LD A,8       ;  / remove   ; /DA
;        JP exe2

; ECOORD  LD A,10
      ; jr exe2   ;JP exe2
     ;  jr callSWP2
;EHack   LD A,11
;        JP exe2

;LPGN1   LD B,PgnPage1
;lpgn   ; PUSH BC      ;    /DA
       ; ADD A,A
       ; ADD A,A
       ; LD BC,TBPgns
       ; LD H,0
       ; LD L,A
       ; ADD HL,BC
       ; DEFHL1
       ; PUSH DE
       ; DEFHL1
       ; PUSH DE
       ; POP BC
       ; POP HL
       ; LD DE,PgnAdr
       ; POP AF
;         call pgn_dt
;        JP LOADOBJ

SWPGN1       ld b,PgnPage1       ; /DartAlver
wpgn         ld c,a
             push bc             ;          (      )
             call retSWpgn       ;       
             pop bc
wpgn_t     ;  ld a,c
             call pgn_dt_    ; pgn_dt
             or #10
             ld (swpgnPG),a
             call Ram
             ld (sw_pHL),hl
             ld (sw_pBC),bc
            jp  LD_UNDO.K_6

SWPGN2       ld b,PgnPage2
            jr wpgn

retSWpgn    ld a,0
swpgnPG  EQU $-1
            or a
            ret z
            call Ram
            xor a
            ld (swpgnPG),a
            ld hl,0
sw_pHL  EQU $-2
            ld bc,0
sw_pBC  EQU $-2
            ld de,PgnAdr
           jp LD_UNDO.K_6


pgn_dt_ ld a,c
pgn_dt  push bc       ;  a -    ,
        ld bc,TBPgns  ;  hl -  .  , bc -  , de = #A500    , a =  b ()
        add a,a
        add a,a
        ld h,0
        ld l,a
        add hl,bc
        DEFHL1
        push DE
        DEFHL1
        push DE
        pop BC
        pop HL
        ld de,PgnAdr
        pop af
        ret
        
CALLSWPhl  ld (.Param),hl    ;        hl 
           ld (.Proc),de     ;  DE -  , HL - , B - , C -  
           call pgn_dt_
           or #10
           push hl,de,bc,af
           call Ram
           call LD_UNDO.K_6
           ld hl,0
.Param    EQU $-2         
           call Ret
.Proc     EQU $-2
           pop af,bc,de,hl
           call Ram
           call LD_UNDO.K_6
          jp RAM_N  


TBPgns  DW MiscPgn,LMisc   ; [00]
        DW BoxPgn,LBox     ; [01]
        DW FillPgn,LFill   ; [02]
        DW CnkPgn,LCnk     ; [03]
        DW WinPgn,LWin8    ; [04]
        DW WinP,LWin1      ; [05]
        DW TexturePgn,LTexture ; [06] ;FntPgn,LFnt ;ChrPgn,LChr
    ;dw ChrPgn,LChr
        DW MgnPgn,LMgn     ; [07]
        DW ObjectsPgn,LObjects  ; BoxPgn,LBox  ;FntPgn,LFnt     ; [08]
        DW CxyPgn,LCxy        ;  DW DithCanPGN,LDithCan ; BrsPgn,LBrs     ; [09]
        DW CxyPgn,LCxy     ; [10]
     ;  DW HackPgn,LHack   ; [11]    ;      /DA
        DW FILESPgn,LFCOM  ; [11]   ; /DA
     ;  DW PMaskPgn,LPMask ; [12]   ; /DA
        DW MScreenPgn,LMScreen ; [12] ; /DA 
        
M_MNU   LD IX,m_mnu
        LD A,(MWin)
        LD (IX+0),A
        LD A,(MWin+1)
        LD (IX+1),A
        XOR A
        CALL Ramka8
        JP C,main
    LD A,(IX+0)
        AND A
        JP NZ,main
        LD A,(IX+1)
        CP 23
        JP NC,main
        LD A,(IX+0)
        LD (MWin+0),A
        LD A,(IX+1)
        LD (MWin+1),A
        JP Main

m_mnu   DB 0,0,32,2

MWin    DEFB 0,0,32,1,7*8,7,%00001000   ; 0,0,1,1,7*8,7,%00001001
; Bit 0 -   /
; Bit 1 - ""  /
; Bit 2 -     /
; Bit 3 -   -     (CANCEL)
        DEFB 0
        DEFW Nil          ; -
        DEFW Nil          ; - ()
        DEFW HMain        ;  
manbut  DEFW BUTTONS      ; - ()
        DEFW Nil          ; -
        DEFW Nil          ; - 
        DEFW Nil          ; 
        DEFW Nil          ;   
        DEFW Nil          ;   ""
        DEFW #FFFF

HMain   DB "C",0
         DW 5         ; 4 ; 5 ; 6 ; 7
    display "HM",HMain
        DB "K",0
         DW MainCol
        DB SS,"L"
         DW dldscr
        DB SS,"K"
         DW dsvscr
      ;  DB SS,"J"
      ;   DW ELdBLC
        DB 13,0
         DW 15       ; 17 ; 18
        DB "U",0
         DW 14       ; 16 ; 17
        DB "J",0
         DW 16       ; 18 ; 19
        DB "L",0
         DW SCRAM
        DB SS,"T"
         DW SAVERAM
        DB SS,"R"
         DW LOADRAM
        DB "W",0
         DW EWin8
        DB "S",0
         DW EWin1
        DB "M",0
         DW 6           ; 5 ; 6 ; 7 ; 8
        DB SS,"X"
         DW CLSSCRSCR
        DB SS,"C"
         DW CLSATR
        DB "G",0
         DW GRID_SW   ; DW GRIDON
      ;  DB "H",0
      ;   DW GRIDOFF
        DB SS,"H"
         DW GRIDOFF_
;        DB "N",0
;         DW ESolidE
;        DB "F",0
;         DW ETFillE
;        DB SS,"W"
;         DW ETWashE
;        DB CS,"W"
;         DW ETWashe
        DB "D",0
         DW MSCR
;        DB "B",0
;         DW ETekBox
         DB "B",0    ; B -     
          DW EBoxU
        DB "E",0
         DW EChBut
 ;       DB CS,"3"
 ;        DW LDN
 ;       DB CS,"4"
 ;        DW LUP
        DB "Y",0
         DW SUNDO
   ;     DB CS,"J"
   ;      DW JBrush
        DB CS,"I"
         DW ECOORD
        DB "X",0
         DW ETekPgn
        DB "Z",0
         DW EPgns     ;EExe256
        DB "Z",SS
         DW ELPgn
        DB SS,"D"
         DW Driv
;        DB CS,"L"
;         DW dldimg_
        DB CS,"K"
         DW dsvimg_
        DB "V",0
         DW M_MNU
        DB CS,"5"
         DW SCROLLLEFT
        DB CS,"6"
         DW SCROLLDOWN
        DB CS,"7"
         DW SCROLLUP
        DB CS,"8"
         DW SCROLLRIGHT
               
        DB #FF
        

;dldimg_ CALL dldimg
;        JP main_
dsvimg_ CALL dsvimg
        JP main_
Driv    CALL Driver
        JP main_
ELPgn   CALL LPgn
        JP main_
;EEXE256 CALL otstoj
;        JR otstoj2
;EExe256 LD IX,WSPgns
;        CALL POPUP
;otstoj2 CALL exe256
;        JP main_
ETekPgn CALL tekpgn
        JP main_
MainCol CALL Col
        JP main_

; +16                                     ;     ))  ! /DA
; x, y,  , -, 
;   OnClick
;RADIO   DEFB 8,4,1,3,0
;        DEFW Nil
;        DEFB #FF

; +14
; x, y,  ,  (#00/#FF)
;SWITCH  DEFB 8,3,0,0
;        DEFW Nil
;        DEFB #FF

; x, y, , , 
; bit 0 -  (/)
; bit 1 -  ""

;SELECT  DEFB 1,3,8,1,%10
;        DEFB 1,4,8,1,%10
;        DEFB 1,5,8,1,%10
;        DEFB 1,6,8,1,%10
;        DEFB 1,7,8,1,%11
;        DEFB 1,8,8,1,%11
;        DEFB #FF

; x, y, , , , 
;   
; :
; Bit 0 -   (yes/no)
; Bit 1 -  ""
        
BUTTONS DEFB 0,0,2,2,7,%11
        DEFW DISKS
        DEFB 2,0,2,2,7,%11    ; 2,0,2,1,7,%11
        DEFW PGN1S
  ;      DEFB 2,1,2,1,7,%11
  ;      DEFW PGN2S
 ;       DEFB 4,0,2,1,7,%11    ;   ,  chr   /DA
       ; DB 4,0,2,2,7,%11
       ; DEFW CHRS
 ;       DEFB 4,1,2,1,7,%11
 ;       DEFW CHRS+16
 ;       DEFW CHRS+128
        DB 5,0,2,2,7,%11  ; DEFB 6,0,2,2,7,%11
        DEFW WIN8S
        DB 7,0,2,2,7,%11  ; DEFB 8,0,2,2,7,%11
        DEFW WIN1S
        DB 9,0,2,2,7,%11 ; DEFB 10,0,2,2,7,%11
      ;  DEFW RGBS
        DW BOXS
        DB 11,0,2,2,7,%11 ; DEFB 12,0,2,2,7,%11
      ;  DEFW MGFS
        DW RGBS
        DB 13,0,2,2,7,%11 ; DEFB 14,0,2,2,7,%11
      ;  DEFW CNKS
        DW MGFS
        DB 15,0,2,2,7,%11 ; DEFB 16,0,2,2,7,%11
        DEFW NALS
        DB 17,0,2,2,7,%11 ; DEFB 18,0,2,2,7,%11
        DEFW EK2S
        DB 19,0,2,2,7,%11 ; DEFB 20,0,2,2,7,%11
        DEFW FILLS
        DB 21,0,2,2,7,%11 ; DEFB 22,0,2,2,7,%11
        DEFW PRIMS
        DB 23,0,2,2,7,%11 ; DEFB 24,0,2,2,7,%11
       ; DEFW DITHCANS         ; BRUSHS
        DW BRUSHS
        DB 25,0,2,2,7,%11 ; DEFB 26,0,2,2,7,%11
       ; DEFW BOXS
        DW DITHCANS
        DEFB 28,0,2,2,7,%11
        DEFW OTHERS
        DEFB 30,0,2,2,7,%11
        DEFW UNDOS
        
        DB 4,0,1,2,7,%00    ;  v3.12 /DA
        DW SPACES        
        DB 27,0,1,2,7,%00
        DW SPACES

.num EQU ($-BUTTONS)/8        ;        /DA

        DEFB #FF        
        
;---------------------------------------------------------------
        INCLUDE "Screens.asm"
        INCLUDE "Add.asm"
        INCLUDE "Utils1.asm"
        INCLUDE "RGB1.asm"
        INCLUDE "Primitiv.asm"  ; "Primit1.asm"
        INCLUDE "miniloupe.asm"
        INCLUDE "SPEdit.asm"
        INCLUDE "FRamka.asm"
   ;     INCLUDE "ScrAdd1.asm"
        INCLUDE "DEBLC.asm"
        INCLUDE "Overlays.asm"
        INCLUDE "Pgns2.asm"
        INCLUDE "DEHRUST@.asm"
;-------------------------
;-----      
;-------------------------
        ;  :

MSave   LD SP,(SPP)           ;   magnify2.asm  /DA
        LD HL,FNameScr
        CALL FNEdit
;        JP C,bmgnn
       jp c, bmgn.next
        CALL dsvscr_
;        JP bmgnn
       jp bmgn.next

MLoad   LD SP,(SPP)
        LD HL,SORTscr
        CALL FilerE
;        JP C,bmgnn
       jp c, bmgn.next
        call SaveSCRS  ; CALL SV_UNDO
        LD A,(SEC_LEN)
        LD B,A
        EXLOAD #8000,SCREEN,START_SEC,ScrPage
;        JP C,bmgnn
       jp c, bmgn.next
        LD DE,FNameScr
        CALL ToName
;        JP bmgnn
       jp bmgn.next

; MTFill  CALL SAVEOBJ  ; /DA
;MTFill                 ;    /DA
;        call sOBJnorm
;        LD A,2
   ;     CALL LPGN1
;        call SWPGN1
    ;    LD IX,WTFill   ;  -  Texture.asm ;/DA
    ;    CALL Win_
    ;    CALL CLOSE_
    ;    CP #FF
    ;    JP Z,  mtfill
    ;    LD (TEXTNUMB),A
    ;    LD (MTEX),A
    ;    CALL GETTEX
    ;    LD DE,TBUFF
    ;    PUSH DE
    ;    LD BC,32
    ;    LDIR
;          call Texture
;        LD A,7
    ;    CALL LPGN1
;        call SWPGN1
;        POP HL
;        LD DE,TMBuff
;        PUSH DE
;        LD BC,32
;        LDIR
;        POP DE
;        LD (mchspr),DE
;        JP bmgn
;        jp bmgn.setfilltx

;mtfill   LD A,7
  ;      CALL LPGN1
;         call SWPGN1
  ;      XOR A          ;  /DA
  ;     JP mchange
;       jp rmgnnq

;MgnPMask  call sOBJnorm
;          ld a,12
;          call SWPGN2
;          call PMask
;          ld a,7
;          call SWPGN1
;          jp bmgn.EPmask

sOBJnorm  ; call retSWpgn
          ld a,ARW_DEFAULT  ;       /DA
          call GUI
          ld a,ArrCancel_Y
         jp GUI



;----------------------
;MWash   CALL SAVEOBJ  ;     /Dart Alver | deleted wash in loupe /Dart Alver
;        LD A,2
;        CALL LPGN1
;        LD IX,WTFill
;        CALL Win_
;        CALL CLOSE_
;        CP #FF
;        JP Z,mtfill
;        LD (TEXTNUMB),A
;        CALL GETTEX
;        CALL LOADSCR
;        CALL LD_UNDO
;        LD HL,#C000
;        LD DE,#DB00
;        LD BC,#C000
;        CALL wss
;        CALL CLS
;        JR mtfill
;--------------
MTFill_ PUSH BC
      ;  CALL SAVEOBJ
         call SwapUnShad
        LD A,2
      ;  CALL LPGN1
        call SWPGN1
        CALL SV_UNDO
        CALL LOADSCR        
        POP HL
        CALL RCOD
;        LD (CONSTS),HL
;        LD A,(MTEX)
;        LD (TEXTNUMB),A
;        CALL TXTRFF
             call BFill.fillHL
        LD A,7
     ;   CALL LPGN1
        call SWPGN1
        CALL SAVESCR
         call SwapUnShad
        JP Bmgn

MTEX    DB 0
;-------------------------
;---      ;  ..    ;/DA
;-------------------------
;MSolid  PUSH BC
     ;   CALL SAVEOBJ
;        LD A,2
     ;   CALL LPGN1
;        call SWPGN1
;        CALL SV_UNDO
;        CALL LOADSCR
;        POP HL
;        CALL RCOD
;        LD (CONSTS),HL
;        CALL SOLIDFF
;        LD A,7
     ;   CALL LPGN1
;        call SWPGN1
;        CALL SAVESCR
;        JP Bmgn

;-------------------------------
;---     / DA
;-------------------------------
Texture  ld de,BTexture     ; ld hl,BTexture
          call Texture.exec
          call  PMask.init_    
          ld hl,TxBUFF           ;    
          ld de,ITxBUFF          ;   
         ret
.exec   ; ld (.proc),hl
         ld bc,PgnPage1*256+6
        ; ld a,c
       ;  call pgn_dt_   ; pgn_dt
       ;  or #10
       ;  push hl,de,bc,af
       ;  call Ram
       ;  call LD_UNDO.K_6
       ;  call BTexture
;.proc  EQU $-2
       ;  pop af,bc,de,hl
       ;  call Ram
       ;  call LD_UNDO.K_6
       ;  call RAM_N
         call CALLSWPhl  
       
         ld a,0
.fselect EQU $-1   ;  /
         ld hl,TxBUFF  ;TBUFF   ;             
         rra
         ret
   
;------------------------------------------
;---      
;------------------------------------------
PMask  ;   ld a,PgnPage2|#10
       ;   call Ram
       ;   ld hl,PMaskPgn
       ;   ld de,BUFF
       ;   ld bc,LPMask
       ;   ldir
       ;   ld a,(Sieve)
       ;   ld (FlPmask.sieve),a
       ;   ld hl,BTexture.atMSK
       ;   ld ix,WPMask
       ;   call Texture.exec
         
           call .PmskSwpTx
          ld de,BTexture.Pmask  ; ld hl,BTexture.Pmask
          call Texture.exec
           call .PmskSwpTx
   ;       ld a,(Texture.fselect)
   ;       or a
   ;      jr nz,.exit
   ;       ld de,DMSKbuff
   ;       ld bc,32
   ;       ldir
;.init_    ld a,PgnPage2|#10
;          call Ram
;          ld de,PMSKBUFF
;          ld hl,(DTPMASKS-1)*32+#DB00      ;   
;          ld bc,32
;          ldir
;          call RAM_N                       ;  
;          ld hl,PMSKBUFF+4
;          ld de,DMSKbuff+4
;          ld b,12
;1         ld a,(de)
;          inc de
;          and #3F
;          or (hl)
;          ld (hl),a
;          inc hl
;          ld a,(de)
;          inc de
;          and #FC
;          or (hl)
;          ld (hl),a
;          inc hl
;         djnz 1B
.exit
          call .init_
;.exit     ld hl,DMSKbuff          ;  
          ld hl,DMSKbuff          ;  
          ld de,PMSKBUFF          ;    
          ret
          
.initT    ld hl,TxBUFF           
          call .init32FF
          ld a,1
.init     or a
         jr z,.exit      ;.init_
          ld hl,DMSKbuff
          call .init32FF
;          ld b,32
;1         ld (hl),#FF
;          inc hl
;         djnz 1B
        jr .exit
        
.init32FF  ld b,32
1          ld (hl),#FF
           inc hl
          djnz 1B
          ret
                  
.init_    ld a,PgnPage2|#10
          call Ram
          ld de,PMSKBUFF
          ld hl,(DTPMASKS-1)*32+#DB00      ;   
          push hl
          ld bc,32
          push bc
          ldir
          pop bc
          pop hl
          ldir
          call RAM_N                       ;  
          ld hl,PMSKBUFF+4
          ld de,DMSKbuff+4
          call .init_01
          ld hl,ITxBUFF+4
          ld de,TxBUFF+4          
.init_01          
          ld b,12
1         ld a,(de)
          inc de
          and #3F
          or (hl)
          ld (hl),a
          inc hl
          ld a,(de)
          inc de
          and #FC
          or (hl)
          ld (hl),a
          inc hl
         djnz 1B
         ret
         
.PmskSwpTx ld hl,TxBUFF
           ld de,DMSKbuff
           ld bc,32          
          jp LD_UNDO.K_6    

;--------------------  -------------------
PERCINI LD IX,WPERC
        LD A,Window
        CALL GUI
        CALL TABLO
        RET

WPERC   DB 2,8,27,5,7*8,7,%1111,0
        DW TPERC
        DW #FFFF
TPERC
;    if rus           ;  -    /DA
;        DB #8F, #E0, #AE, #E6, #A5, #E1, #E1, #5F, 13;DB "_",13
;    else
;        DB "Process_",13
;    endif
        MSG_PROCESS : DB 13
        DB 0

ADRPRCN EQU #4963
;-------
PERC5
;.
;A - INPUT

HEIPRCN EQU 2
LENPRCN EQU 25

PRCN    LD HL,ADRPRCN+#0200
PRCN1B  LD E,A
        SRL A
        SRL A
        ADD A,low ADRPRCN+1;  
        SUB L
        JR Z,PRCN1C
        RET C
        LD C,A
        LD A,E
        AND 3
        JR NZ,PRCN2A
        DEC C
        RET Z
PRCN2A  LD A,%10101010
PRCN1D  LD B,HEIPRCN
        LD H,ADRPRCN/256+2
        LD (HL),A
        INC H
        XOR #FF
        DJNZ $-4
        INC L
        DEC C
        JR NZ,PRCN1D
PRCN1C  DEC L
        LD A,E
        AND 3
        RET Z
        ADD A,A
        LD D,0
        LD B,A
        SCF
        RR D
        DJNZ $-3
PRCN1E  LD H,ADRPRCN/256+2
        LD B,HEIPRCN
        LD A,(HL)
        AND D
        LD (HL),A
        INC H
        DJNZ $-4
        RET

TABLO   LD HL,ADRPRCN
        LD C,HEIPRCN+4
        SCF
TABLO1  LD B,LENPRCN
        PUSH HL
TABLO2  SBC A,A
        LD (HL),A
        INC L
        DJNZ TABLO2
        SET 7,(HL)
        POP HL
        DEC L
        SET 0,(HL)
        INC L
        INC H
        LD A,C
        CP 3
        DEC C
        JR NZ,TABLO1
        RET

RESCALE8
      ;  CALL SAVEOBJ
         call retSWpgn
        LD HL,WinCol
        LD DE,WinCol_
        LD BC,4
        LDIR
        LD A,5
       ; CALL LPGN1
         call SWPGN1
        CALL INSTL
        CALL LOADSCR
        LD IX,WinCol_
        CALL BoxCol
        CALL COMA
        LD IX,WDEST
        CALL R8Sel
        CALL COMA
        JR C,RSC8end
        CALL LOADSCR
        LD IX,WinCol_
        CALL INIresc
        CALL Rescale
        CALL SAVESCR
RSC8end LD A,4
      ;  CALL LPGN1      
      ;  JP BWindow
         call SWPGN1
        jp BWindow
         

COMA    LD B,2
maks    LD A,(IX)
        ADD A,A
        ADD A,A
        ADD A,A
        LD (IX),A
        INC IX
        DJNZ maks
        LD B,2
maks_   LD A,(IX)
        ADD A,A
        ADD A,A
        ADD A,A
        DEC A
        LD (IX),A
        INC IX
        DJNZ maks_
        RET

WinCol_ DS 4
WDEST   DB 0,0,200,120,0,0

; -   128   :)
;TFill         ;  (. Fill2.asm) /DA
;    if rus            ;  -    /DA
;        DB #87, #A0, #AB, #A8, #A2, #AA, #A0, 13;DB "",13
;        DB #91, #AF, #AB, #AE, #E8, #AD, #A0, #EF, 13;DB "",13
;    DB #92, #A5, #AA, #E1, #E2, #E3, #E0, #AE, #A9, #5F, 13;DB "_",13
;        DB #90, #A5, #A4, #A0, #AA, #E2, #AE, #E0, #5F, 13;DB "_",13
;        DB #90, #A0, #A7, #AC, #EB, #A2, #AA, #A0, 13;DB "",13
;    DB #90, #A0, #A7, #AC, #EB, #A2, #AA, #A0, #2b, 13;DB "+",13
;        DB #8E, #E2, #AA, #E0, #EB, #E2, #EC, #5F, 13;DB "_",13
;        DB #91, #AE, #E5, #E0, #A0, #AD, #A8, #E2, #EC, #5f, 13;DB "_",13
;        DB #84, #A8, #E1, #AA, #AE, #A2, #AE, #A4, 0;DB "",0
;    else
;        DB "Fill",13
    ;    MSG_Fill_fill : DB 13
;        DB "Solid",13
    ;    MSG_Fill_solid : DB 13
;        DB "Textured_",13
    ;    MSG_Fill_textu : DB 13
;        DB "Editor_",13
    ;    MSG_Fill_edit  : DB 13
;        DB "Wash",13
    ;    MSG_Fill_wash  : DB 13
;        DB "Wash+",13
    ;    MSG_Fill_washP : DB 13
;        DB "Load_",13
    ;    MSG_DISK_Load_ : DB 13
;        DB "Save_",13
    ;    MSG_DISK_Save_ : DB 13
;        DB "Drive",0
    ;    MSG_DISK_drive : DB 0
;    endif


; WinPix variables and procedures

;WWinPix
;        DEFB 5,0,12,20,6*8,7,%00001111
;; Bit 0 -   /
;; Bit 1 - ""  /
;; Bit 2 -     /
;; Bit 3 -   -     (CANCEL)
;        DEFB 0
;        DEFW TWinPix      ; -
;        DEFW SWinPix      ; - ()
;        DEFW HWinPix      ;  
;        DEFW Nil          ; - ()
;        DEFW SwPix1       ; -
;        DEFW #FFFF

;; x, y, , , 
;; bit 0 -  (/)
;; bit 1 -  ""

;;SWinPix DEFB 1,3,9,1,%11   ;    /DA
;;        DEFB 1,4,9,1,%11
;;        DEFB 1,5,9,1,%11
;;        DEFB 1,6,9,1,%11
;;        DEFB 1,7,9,1,%11
;;        DEFB 1,8,9,1,%11
;;        DEFB 1,9,9,1,%11
;;        DEFB 1,10,9,1,%11
;;        DEFB 1,11,9,1,%11
;;        DEFB 1,12,9,1,%11
;;        DEFB 1,13,9,1,%11

;;        DEFB 1,15,9,1,%11
;;        DEFB 1,16,9,1,%10
;;        DEFB 1,17,9,1,%10
;;        DEFB 1,18,9,1,%10
;;        DEFB #FF

;TWinPix
;;    if rus              ;  -    /DA
;;        DB #8e,#aa,#ad,#A0,#20,#78,#31,13;" x1",13
;;        DB #82,#eb,#a1,#e0,#a0,#e2,#ec,#20,#ae,#aa,#ad,#ae,13;" ",13
;;        db #82,#a5,#e1,#ec,#20,#ed,#aa,#E0,#a0,#ad,13;  ;DB " ",13
;;        DB #93,#a4,#a0,#ab,#A8,#e2,#ec,13   ;"",13
;;        DB #91,#aa,#ae,#af,#a8,#e0,#Ae,#a2,#A0,#e2,#ec,13;"",13
;;        DB #91,#aa,#ae,#af,#a8,#e0,#Ae,#a2,#A0,#e2,#ec,#2b,13;"+",13
;;        DB #8f,#a5,#e0,#a5,#ac,#a5,#e1,#e2,#a8,#e2,#ec,13;"",13
;;        DB #88,#ad,#a2,#a5,#e0,#e2,#a8,#e0,#ae,#a2,#a0,#e2,#ec,13;"",13
;;        DB #8c,#a0,#e1,#e8,#e2,#a0,#a1,13;"",13
;;        DB #8c,#a0,#e1,#e8,#e2,#a0,#a1,'+',13;"+",13
;;        DB #8f,#ae,#20,#a2,#a5,#e0,#e2,#a8,#aa,#a0,#ab,#a8,13;" ",13
;;        DB #8f,#ae,#20,#a3,#ae,#e0,#a8,#a7,#ae,#ad,#e2,#a0,#ab,#a8,13;" ",13
;;        DB 15,13
;;        DB #90,#a5,#a6,#a8,#ac,#3a,#20;": "
;;    else
;;        DB "Windows x1",13
;;        DB "Define",13
;;        db "Whole screen",13
;;        DB "Clear",13
;;        DB "Copy window",13
;;        DB "Copy window+",13
;;        DB "Move window",13
;;        DB "Invert",13
;;        DB "Re-Scale",13
;;        DB "Re-Scale+",13
;;        DB "Flip vertical",13
;;        DB "Flip horizontal",13
;;        DB 15,13
;;        DB "Mode: "
;;    endif

;        MSG_WIN_HeadX1 : DB 13
;        MSG_WIN_Def :DB 13
;        MSG_WIN_WhSCR : DB 13
;        MSG_WIN_Clear : DB 13
;        MSG_WIN_Copy : DB 13
;        MSG_WIN_CopyP : DB 13
;        MSG_WIN_Move : DB 13
;        MSG_WIN_Inv : DB 13
;        MSG_WIN_ReScal : DB 13
;        MSG_WIN_ReScalP : DB 13
;        MSG_WIN_FlipV : DB 13
;        MSG_WIN_FlipH : DB 13
;        DB 15,13
;        MSG_WIN_Mode : DB " "

;PUTWP   DB "Put",13

;;    if rus                ;  -    /DA
;;        DB #8a,#a8,#e1,#e2,#ec,13;"",13
;;        DB #8f,#ae,#a2,#e2,#ae,#e0,13;"",13
;;        DB #96,#a2,#a5,#e2,#20,#20,#20,13;"   ",13
;;    else
;;        DB "Brush",13
;;        DB "Multiple",13
;;        DB "Color",13
;;    endif

;        MSG_WIN_Brush : DB 13
;        MSG_WIN_Mult : DB 13
;        MSG_WIN_Color : DB 13
;        DB 0

;SBRP    LD A,(BRP)
;        AND A
;        RET Z
;        LD (MULWP),A
;        RET
;SMU     XOR A
;        LD (BRP),A
;        RET

;SwPix1
;        DEFB 7,16,12,0
;BRP     EQU $-1
;        DEFW SBRP

;        DEFB 7,17,13,#FF  ; 0  -   /DA
;MULWP   EQU $-1
;        DEFW SMU

;        DEFB 7,18,14,#FF
;ATRWP   EQU $-1
;        DEFW Nil
;        DEFB #FF

;HWinPix DB "W",0
;         DW 0
;        DB "S",0
;         DW 0
;        DB "Z",0
;         DW 1
;        DB "D",0
;         DW 2
;        DB "K",0
;         DW 3
;        DB "J",0
;         DW 4
;        DB "M",0
;         DW 5
;        DB "I",0
;         DW 6
;        DB 13,0
;         DW LP1Z
;        DB "E",0
;         DW CWin8
;        DB "U",0
;         DW UPix
;        DB "Y",0
;         DW SPix
;        DB "L",0
;         DW SwpPix
;        DB #FF

Winp    DB 0
        DB 0
        DB 255
        DB 191

winp    DS 4
xcoo    DB 0
ycoo    DB 0
LENG    DB 0
HGT     DB 0


;---------------------------------------------------------
; FILES minicommander Variables and procedures

FilesCOM  call CLOSE
          ld a,11
         ; call LPGN2  ; LPGN1
           call SWPGN2
          ld hl,.SORT
          ld de,FCOM.commander
          call FilerCOM
        ; jp Main
          jp exitSWpgn
;.rep     ld a,2                    ;   
;         call GET_MSG_gui
;         or a                      ;  z, nz
;         ret



.SORT    DB #01,"...",#FF  ;    


.TBcom   DW FCOM.view
         DW FCOM.load
         DW FCOM.copy
         DW FCOM.rename
         DW FCOM.delete


.Wcom   DB 4,4,9,7,7,7,%1110
    DB 0
    DW .Tcom
    DW .Scom
    DW .Hcom
    DW #FFFF

.Tcom
         MSG_FILES_View   : DB 13 ; 0
         MSG_FILES_Load   : DB 13 ; 1
         MSG_FILES_Copy   : DB 13 ; 2
         MSG_FILES_Rename : DB 13 ; 3
         MSG_FILES_Delete : DB 0  ; 4

.Scom
; x, y,  (width),  (height),  (flag):
; bit 0 -  (/) (highlight yes/no)
; bit 1 -  "" ("frozen" key)
        DB 1,1,8,1,%11
.Sview EQU $-1          ; for blocked
        DB 1,2,8,1,%11
.Sload EQU $-1          ; for blocked
        DB 1,3,8,1,%11
.Scopy EQU $-1
        DB 1,4,8,128+2,%11 ; 1,%11
       ; DB 1,5,8,1,%11
        DB #FF
.Hcom
        DB #0D,0     ; view
         DW 0
        DB #FF

.nrm         dec de          ;   gui    
             ld a,(de)
             cp #21
             ret nc
             ld a,#20
             ld (de),a
             ret

;-------------------------------------------------------

; PMask variables and procedures
;SetUpload   xor a
;            call SWPGN1
;            ld hl,FnSup
;            call FromName
;            ld a,0
;.yes    EQU $-1
;            or a
;            ccf
;            ret z
;.pg         ld hl,FnSup
;            call FromName
;            ld hl,FBUFF
;            ld de,256
;            ld BC,#01AE
;            call guiRAM
;            LD A,DOS_FUNC
;           JP GUI_

;PMaskLD     call SetUpload
;            ret c
;            ld hl,FBUFF+64
;            ld a,(PMskSlot)
;            and 3
;            rrca
;            rrca
;            ld c,a
;            ld b,0
;            add hl,bc
;            ld de,PMaskData
;            ld c,64
;            or a
;            ret

;PMaskLOAD   call PMaskLD
;           jr c,.exit
;            ldir
;.exit
;            ld a,12
;           jp SWPGN2


;PMaskSAVE   call PMaskLD
;           jr c,PMaskLOAD.exit
;            ex de,hl
;            ldir
;1           call SvSup_S
;           jr PMaskLOAD.exit


;PMskSlot   DB 0                 ; 0-2   
;PMSKBUFF   DS 32                ;     

;PMaskData   INCBIN "pixelmsk"


; Mgn (loupe) variables and procedures
;-----------------------------------------------------------------

OldGrd4   push hl,de,bc          ;      4x
     ;     push af
          ld a,PgnPage1|#10
          call Ram
     ;     pop af
          ld hl, Mgn4.tbN-PgnAdr+MgnPgn
          ld a,#FF
.set_  EQU $-1          ;   4x4
          or a
         jr z,1F
          ld hl,Mgn4.tbO-PgnAdr+MgnPgn
1         ld de, Mgn4.Gd-PgnAdr+MgnPgn
          ld bc,#03FF
1         ldi:ldi
          inc de
          inc de
         djnz 1B
          pop bc,de,hl
          ret




Sloupe  ;call SAVEOBJ                ;     setup
        ld a,7
        call SWPGN1
        call Mgn_CurS
        ld a,ARW_DEFAULT
        call GUI
        call retSWpgn
     ;   ld a,(RadiMgn_CUR.CURview)
     ;   ld (vmgncur),a
     ;   ld a,(RadiMgn_CUR.CURrmb)
     ;   ld (vmgn2bt),a
     ;   ld a,(FlagsMgn_CUR.PixSmooth)
     ;   ld (vmgnsm),a
     ;   ld a,(FlagsMgn_CUR.FireScroll)
     ;   ld (vmgnfs),a
    ;    jp setup_
       jp ReSetUp
        
mgn_cur  call Mgn_CurS
       jp bmgn.next

Mgn_CurS
        ld ix,Wmgn_CURSORS
        call POPUP
        ld a,%1110
1       ld (ix+6),a
        call Win_YRMB
        cp #FF
       jp z,CLOSE
        ld a,%1100
      jr  1B

MGN_set
           ld a,#C9          ; ret   ;      .next  /DA
           ld (bmgn.next ),a
           call bmgn.set_PLOT    ;      /DA
           call IntMagnify.selRMBmod ;    
           call IntMagnify.exSmooth  ;  
MGN_Fscroll ld a,(FlagsMgn_CUR.FireScroll)
            or a
            ld a,#3E   ; ld a,n
            ld c,#01   ; ld bc,nn
           jr z,1F
            ld a,#20   ; jr nz,dis
            ld c,#CD   ; call nn
1           ld (IntMagnify.MOV_COM),a
            ld a,c
            ld (IntMagnify.MOV_CALL),a
            ret


RadiMgn_CUR           ; x,y,  ,, , 
        DB 10,3,0,3,0
.CURview EQU $-1
        DW Mgn_ARW
        DB 10,9,3,3,0  ; 10,3,3,0
.CURrmb EQU $-1
        DW IntMagnify.selRMBmod            
       DB #FF

FlagsMgn_CUR
    DB 10,13,6,#FF   ; 15,6,#FF
.PixSmooth EQU $-1
    DW IntMagnify.exSmooth
    DB 10,14,7,#FF   ; 16,7,#FF
.FireScroll EQU $-1
    DW MGN_Fscroll
   DB #FF  
     
MgnCrosspr   DB #10,#10,#10,#FE,#10,#10,#10,#00,#00,#00  ;  
MgnArwspr    DUP 20 : DB #FF : EDUP                      ;     #FF


;---------------------------- EXPRESS LOUPE -----------------------------------
;     x1

;EXPRESSMGN
;.exec        ld (.hl),hl
;             ld a,#FF
;             ld (.a_res),a
;             ld hl,(SPP)
;             ld (.ex_SPP),hl
;             ld hl,(Spp)
;             ld (.ex_Spp),hl
;             ld (.ix),ix
;             ld a,(N_PAGE)
;             ld (.n_page),a
;             ld a,(S_PAGE)
;             ld (.s_page),a

;             push de,bc
;             ex af,af'
;             push af,hl,de,bc

;             ld (SPP),sp
;             call .swpMGN
;            jp MGNEXPR
;.jp     EQU $-2                    ;   




;.exit         ld sp,(SPP)
;              call .swpMGN
;              call guiRAM
;              ld hl,0
;.ex_SPP     EQU $-2
;              ld (SPP),hl
;              ld hl,0
;.ex_Spp     EQU $-2
;              ld (Spp),hl
;              ld ix,0
;.ix      EQU $-2
;             ld a,0
;.n_page  EQU $-1
;             ld (N_PAGE),a
;             ld a,0
;.s_page  EQU $-1
;             ld (S_PAGE),a

;             ld hl,0
;.arw     EQU  $-2
;             ld (ARW_X),hl
;             call ARRtoATR

;             ld a,0
;.dire   EQU $-1
;              ld (DIRECT),a
;           pop bc,de,hl,af
;           ex af,af'
;           pop bc,de
;           ld hl,0
;.hl     EQU $-2
;            ld a,#FF
;.a_res  EQU $-1
;            ret

;.start

;             ret

;.swpMGN      ld a,PgnPage1|#10
;             call Ram
;             ld hl,PgnAdr   ;     
;             ld de,MgnPgn
;             ld bc,LMgn
;            jp  LD_UNDO.K_6



;-------------------------------------------------------------------------------
; cnkid   DB "CHANK"  ;   'Chnk1.asm'  /DA

DEBUG__  db 0

;TBUFF   DS 32              ; move down /DA
;BGE_SPR INCBIN "bge_spr"   ;   7-       GUI /DA
ECODE
LEN=ECODE-#6000

MFree     ;                               ; /DA


     DISPLAY "MFree : ",/a,MFree
     

;---------------------------------------------------------------     
             ASSERT  $ < DMSKbuff
    ;         ORG #A500-32-32-36-#80    ;     
             ORG #A400
LenMFree  EQU $-MFree   ;    

   DISPLAY "LenMFree : ",/a,LenMFree

;; DMSKbuff   DS 8           ;  8   

PMSKBUFF    DS 32                ;     
ITxBUFF     DS 32                ;     
;TBUFF       DS 36               ;   36  -       /DA
DMSKbuff   DS 32  ;DUP 32 : DB #FF : EDUP  ;  32   
TxBUFF     DS 32                ;   

BUFF        DS #80               ;   Fill ,     /DA

;------------------- INIT PROCEDURES ---------------------------
            ORG #A500            

         INCLUDE "SetUp.asm"   ;                
         savebin "bge_ovr0.Cod",PgnAdr,$-PgnAdr  ; SetUp module 

;           /Dart Alver
     ;   INCLUDE "Init.asm"
     
         INCLUDE "InitBGE.asm"
        ASSERT $ < #C000 
;------------------ END INIT PROCEDURES ------------------------
; -----------------------------------------------------------------------------------------
;    

        savebin "bge_main",#6000,$-#6000
        
        DISPLAY "(c) Sinn^dtr^fdm^2oo1"
        DISPLAY "Length BGE     :",/a,LEN
        DISPLAY "Free for BGE   :",/a,LenMFree  ; -LenMBrs   ; DMSKbuff-ECODE
        DISPLAY " "
;------------------------------------------------------------------------------------------

; ---------- Aerosol ---------
         INCLUDE "aerosol.asm"
         ASSERT $<#C000
         savebin "bge_ovr1.Cod",PgnAdr,$-PgnAdr  ; 

; -------- Brushes ------------
         INCLUDE "brushes.asm"
         ASSERT $ < #C000
         savebin "bge_ovr2.Cod",PgnAdr,$-PgnAdr  ; 

;----------Sprite Cutter-------------
         INCLUDE "Sprites.asm"
         ASSERT $ < #C000         
         savebin "bge_ovr3.Cod",PgnAdr,$-PgnAdr  ; 

; ---------- FNT -------------
         INCLUDE "Fnt1.asm"
         ASSERT  $ < #C000
         savebin "bge_ovr4.Cod",PgnAdr,$-PgnAdr  ;  FNT

; ---------- CHR -------------
         INCLUDE "Chr2.asm"
         ASSERT  $ < #C000
         savebin "bge_ovr5.Cod",PgnAdr,$-PgnAdr  ;  CHR  

; --------Sprite export--------
         INCLUDE "SprtExport.asm"
         ASSERT  $ < #C000
         savebin "bge_ovr6.Cod",PgnAdr,$-PgnAdr  ;  

; --------Sprite hacker--------
         INCLUDE "SpHack.asm"
         ASSERT  $ < #C000
         savebin "bge_ovr7.Cod",PgnAdr,$-PgnAdr  ;  

         

;DISKS   EQU BGE_SPR
;PGN1S   EQU DISKS+32
;PGN2S   EQU PGN1S+16
;CHRS    EQU PGN2S+16
;WIN8S   EQU CHRS+32
;WIN1S   EQU WIN8S+32
;RGBS    EQU WIN1S+32
;MGFS    EQU RGBS+32
;CNKS    EQU MGFS+32
;NALS    EQU CNKS+32
;EK2S    EQU NALS+32
;FILLS   EQU EK2S+32
;PRIMS   EQU FILLS+32
;BOXS    EQU PRIMS+32
;OTHERS  EQU BOXS+32
;UNDOS   EQU OTHERS+32
;EXITS   EQU UNDOS+32
;OFFS    EQU EXITS+32
;ONS     EQU OFFS+32
;DTRS    EQU ONS+32
;PLOTS   EQU DTRS+32
;LINES   EQU PLOTS+32
;LINES2  EQU LINES+32
;TRS     EQU LINES2+32
;SQS     EQU TRS+32
;CIRCS   EQU SQS+32
;ELPS    EQU CIRCS+32
;RAYS    EQU ELPS+32
;XORS    EQU RAYS+32
;ANDS    EQU XORS+32
;ORS     EQU ANDS+32
;NOPS    EQU ORS+32
;ERASES  EQU NOPS+32
;SETKAS  EQU ERASES+32
;RAMKAS  EQU SETKAS+32
;FILLS2  EQU RAMKAS+32
;AMASKS  EQU FILLS2+32
;NORGBS  EQU AMASKS+32
;WASHS1  EQU NORGBS+32
;BRUSHS  EQU WASHS1+32






;------------------------------------------------------------------------
; Page 3 compilation

;-----------------------------------------------------------------------
;       GUI compilation based of Sinn Supreme-GUI for BGE
;
;  GUI      alasm,  
;  .
;    ,    
;   GUI      'GUI' ( 
;  'ResGUI.asm',     BGE)
;
;     GUI,     BGE
;       '_gui' ,  '_g'
;     '_'
;       .
;
;      Supreme-GUI   .

       DISPLAY " "

        ORG #C800,GUIPage

        INCLUDE "KerGUI.asm"
        INCLUDE "ArrGUI.asm"
        INCLUDE "libGUI.asm"
        INCLUDE "WinGUI.asm"
        INCLUDE "FilerGUI.asm"
        INCLUDE "SortGUI2.asm"  ; "SortGUI.asm"
      ;  INCLUDE "ConvertGUI.asm"
        INCLUDE "SysfGUI.asm"
        INCLUDE "TRdosGUI.asm"
        INCLUDE "WG_GUI.asm"
        INCLUDE "EditGUI.asm"
        INCLUDE "SwapGUI.asm"
        INCLUDE "OthersGUI.asm"
        INCLUDE "AsciiGUI2.asm"    ; "AsciiGUI.asm"
        INCLUDE "MDRV_GUI.asm"

        savebin "bge_3",#C000,$-#C000

;FBUFF  DS 516       ; bufer for files data /DA
FBUFF   EQU  NEWCAT  ;    ,      /DA

      ;--- end GUI---

        DISPLAY "GUI  [all] : ",$-#C000,", [free] :",/a,CAT-$
        ASSERT  $ < CAT
;---------------------------------------------------------------
; Page 6 compilation
       DISPLAY " "

        ORG #C000,PgnPage1
        INCLUDE "Misc.asm"     ; "MISC1.asm"
        INCLUDE "Fill3.asm"    ; "Fill2.asm"
        INCLUDE "Texture2.asm"    ;
     ;   INCLUDE "Chnk1.asm"         ;     /DA
        INCLUDE "WinCol1.asm"
        INCLUDE "WinPix3.asm"
    ;  ;INCLUDE "Magnify2.asm"      ; ,  /DA
        INCLUDE "Magnify9.asm"      ; "Magnify8.asm"
     ;   INCLUDE "Files.asm"          ; mini viewer commander part /DA
        INCLUDE "CoordXY.asm"
        INCLUDE "MScreen.asm"        ;   /DA
        
P6Free   ;     6 

LenP6Free  EQU  #FFFF-P6Free+1   ;    
        DISPLAY " "
        DISPLAY "LenP6Free : ",/a,LenP6Free

    savebin "bge_6",#c000,$-#c000
        DISPLAY " "
    ;    DISPLAY "Pgns1 [all] : ",$-#C000,", [free] :",/a,#4000-($-#C000)

        ASSERT $-#C000 < #4000
    ;00c9
;---------------------------------------------------------------
;  Page 7 compilation
       DISPLAY " "

        ORG #DB00,PgnPage2
        INCBIN "bge_spr"     ;    BGE
    ;    ORG #E100            ;    48  16x16
    
       ORG #DB00+(bgeSPRTnum*32)
sprSPACES
        INCLUDE "Ssprites.asm"  ;  
        
        
        ;INCLUDE "Chr1.asm",#4E          ;    /DA
        ;ds #1 ;#100  . ???  3.06  
  ;  display /a,$-#db00
        INCLUDE "BRS_data.asm"   ;    /DA
     ;   INCLUDE "Fnt1.asm"
      ;  INCLUDE "DithCAN.asm"        ;    INCLUDE "Brush1.asm"
      ;  INCLUDE "CoordXY.asm"  ; move to page 6 /DA
      ;  INCLUDE "SpHack.asm"        ;   ,    /DA
        INCLUDE "Boxes.asm"          ;"Box2.asm" ; "Box1.asm"
        INCLUDE "Chnk1.asm"          ;   /DA
      ;  INCLUDE "PMask2.asm"      ; "PMask.asm"          ; pixels mask /DA    /DA
        INCLUDE "Files.asm"          ; mini viewer commander part /DA
        
        INCLUDE "Objects.asm"        ;  
             
    ;#025c
P7Free   ;     7 

LenP7Free  EQU  #FFFF-P7Free+1   ;    
        DISPLAY " "
        DISPLAY "LenP7Free : ",/a,LenP7Free

    savebin "bge_7",#db00,$-#db00
        DISPLAY " "
  ;      DISPLAY "Pgns2 [all] : ",$-#DB00,", [free] :",/a,#4000-($-#C000)
        ASSERT  $-#C000 < #4000

        DISPLAY " "

;--------------------------------------------------------
;     ( ) /DA  :[ Commits Delated ] /DA v3.12



        DISPLAY " "


;-----------------------------------------------------------------
;  OVB - Overlays BGE compilation

;-----------------------------------------------------------------

;     -  ,   .
;     ,    
; BGE    "ovb"             /DartAlver

; Here will be compiled overlays - system plug-ins that are dependent on the Assembly.
; The overlays are compiled with the editor, using direct procedure calls BGE
; and have the extension "ovb"             /DartAlver


    ;    DISPLAY " "
    ;    DISPLAY " Overlays compilation "
    ;    DISPLAY " "
    
 ; [ Commits Delated]  /DA v3.12
         
         DISPLAY " "
;----------------------------------------------------------------------

    ;   LABELSLIST "..\us\user.l"

        ;savesna    "Bge.sna",RUN

       ; LABELSLIST "C:/Unreal/user.l"

        LABELSLIST  "user.l"