; INIT PROCEDURES FOR BGE
;      


InitBGE         ;   BGE

               EXPORT  InitBGE
   
               ld hl,Main
               push hl
               ld (SPP),sp
               ld a,GUIPage+#10
               ld (GUI_PAGE),a
               ld a,SuxPage+#10
               ld (STORE_PAGE),a
               ld a,#10
               ld (S_PAGE),a
               ld hl,Resident
               ld (ResAdr),hl
               
               call GuiRam             
               
               ld c,0
               ld a,#FE       ; CAPS SHIFT pressed varify
               in a,(#FE)
               rra
              jr nc,1F  
               ld a,#7F       ; SIMBOL SHIFT pressed varify
               in a,(#FE)
               rra
               rra
              jr c,2F
               inc c                              
1              inc c            
2              ld a,c        ; 0 -  , 1 - CS , 2 - SS
               push af  
               ld a,LOAD_CAT   ;  
               call GUI              
               call LdConfig    ;  
               pop af
               push af
               cp 2
               call nz,ch_kemps    ;   /              
               pop af
               or a
              jr z,2F
               dec a                            
              jr z,1F       
                ; SS -     +   128 K
                xor a
                ld (KJOY),a
                ld (ExtMem_),a
                call ch_kemps.nms
                             
1              call SetUpOVRL

2              call startCONF    ;   

               call MemBrFill     ;       

               ld hl,RUN.b        ;      
              push hl
               ld hl,Fldadd
              push hl
               ld hl,SV_UNDO
              push hl
               ld hl,SAVESCR2
              push hl
               ld hl,SAVESCR
              push hl
               ld hl,CLS
              push hl
               ld hl,Fldlst
              push hl
               ld hl,PMask.initT
              push hl
                  
               ld a,(ExtMem)     ;  
               or a
              jr z,.skin_
                           
               ld a,AddPage
               call RAM
               
               ld hl,#A500 ; 
               ld de,#C000
               ld bc,6912
               ldir
               
               ld hl,AddOVRL
               ld de,TxBUFF
               ld bc,lAddOVRL
               ldir
               call ADDOVRL
               
.skin_                             ;  
               ld hl,Init_Add      
               ld de,TxBUFF
               ld bc,lInit_Add
               ldir
              
               ld a,GUIPage
               call RAM

               ld hl,FnGfx
               call FromName
               ld c,#0A
               call DOS_FUNC_
              ret c
             
               ld de,FILE_PARAM
               ld bc,#10
               ldir
               ld a,(SEC_LEN)
               cp #1B    ; 27
              ret nz
                ld hl,#A500
                ld de,(START_SEC)
                ld bc,#1B05
     
               jp INIT_ADD
               
; -------
               
AddOVRL        DISP TxBUFF
            
ADDOVRL        ld bc,OVRLnums*256+0
1                  
               ld a,"0"
               add a,c
               ld (OvrName.N),a
               push bc                
2              call Ld_OVR
              jr nc,3F
               call NoData_
              jr 2B              
3              pop bc
               push bc
               ld de,#C000
               ld a,c
               or a
               rra            
              jr nc,4F
               ld d,#DB
4              add a,6        ; page
               call ONPAGE               
               ld hl,#A500
               ld bc,6912
               ldir
               ld a,AddPage
               call EX_RAM
               pop bc
               inc c
              djnz 1B

               ld de,#A500     ; 
               ld hl,#C000
               ld bc,6912
               ldir
              ret
.e
               ENT
lAddOVRL     EQU $-AddOVRL  

           ASSERT  ADDOVRL.e < #A500
           DISPLAY "   $iOV free :",/a, #A500-ADDOVRL.e


; -------                            
                   
Init_Add       DISP TxBUFF
                    
INIT_ADD       call DOS_FUNC_
              ret c
               ld a,(#A500+6144)   ; set menu-color
               ld hl,BUTTONS+4  ; color
               ld de,8
               ld b,BUTTONS.num
1              ld (hl),a
               add hl,de
              djnz 1B
               ld hl,#A500+#1000   ; set font
               ld de,#C000
               ld bc,2048
              push bc
               ldir
               ld a,RamPage
               call RAM
               ld hl,#A500+2047
               ld de,#A800+2047
              pop bc
               lddr
               ld a,#A8
               ld (rasch+1),a
               ld ix,cutix
               ld de,#DB00  ; de=#DB00
               
              ld b,4
dz2          push bc
              dec b
             jr nz,1F
              inc (ix+0)
              inc (ix+0)
              inc (ix+0)
             push de
              ld de,sprSPACES
              dec (ix+2)
              call SaveWS
              inc (ix+2)
             pop de
              inc (ix+0)
              ld b,bgeSPRTnum-48
             jr dz1               
1             ld b,16         
dz1          push bc
              call SaveWS
              inc (ix+0)
              inc (ix+0)
             pop bc
            djnz dz1
            pop bc
             xor a
             ld (ix+0),a
             inc (ix+1)
             inc (ix+1)
            djnz dz2
             ld ix,cutix2
             ld de,#A500
             push de
             call SaveWS
             pop hl
             ld de,ARWSPR
             ld bc,10*2
             ldir
             ld a,#40
             ld (rasch+1),a
          ;   call GUI_E
         ;    xor a
         ;  jp PMask.initT
           ret
INIT_ADD.e                
             ENT                             
lInit_Add  EQU $-Init_Add
    
           ASSERT  INIT_ADD.e < #A500
           DISPLAY "   $iPL free :",/a, #A500-INIT_ADD.e

; -------                      
           
        INCLUDE "autoconf.asm"       ;                     

FnGfx   DB "bgegfx  scr"


ch_kemps  ;   kempston joistick  mouse   .
         call guiRAM
         ld a,(KJOY)
         or a
        jr z,1F
         call .joi
1        ld a,(MICE)
         or a
        ret z
        
.mouse   halt
         ld bc,#FFDF   ; y
         in a,(c)
         ld b,#FB      ; x
         in e,(c)
         dec b         ; #FA 
         in d,(c)
         cp e
        jr nz,1F
         cp d
        jr z,.nms
1        ld de,#0800
         ld bc,#FADF      ;     
         in a,(c)      
         ld l,a
        jr 2F
1        in a,(c)
2        ld h,a
         or #FC        ;    2008.  3- 
         inc a
        jr nz,.nms       ;  
         ld a,h          ;  
         cp l
        jr z,3F
         call .resWheel

3         
         dec de
         ld a,d
         or e
        jr nz,1B
        
        ret
        
.nms          xor a            ;   
              ld (MICE),a
.resWheel     xor a
              ld (v_mscroller),a
.Wheel        ld a,(v_mscroller)
              or a
              ld a,#C9    ; [ret] for 0
             jr z,1F
              xor a   
1             ld (MO4),a
              ld a,TEST
              call GUI
             ret         


.joi     ld bc,10
1        xor a         ;     0 (    )
         in a,(#1F)    ;     (Delta C 48K  ..   128  )
         and #1F       ;    .
        jr nz,.nj
        djnz 1B
         dec c
        jr nz,1B
        ret
.nj      xor a
         ld (KJOY),a    ;  
        ret
        



;    bge 3.11  ; /DA

MemBrFill
              ld hl,.ToName
              call FromName
              ld c,#0A
              call DOS_FUNC_
             ret c
              ld de,FILE_PARAM
              ld bc,#10
              ldir
              ld a,(SEC_LEN)
              cp #04
             ret nz
              ld b,a
              ld hl,.brs_boof ; Brs_sv_s
              ld de,(START_SEC)
              ld c,5
              call DOS_FUNC_
             ret c
               ld a,PgnPage2
               call RAM
               ld hl,.brs_boof
               ld de,Brs_Psv
               ld bc,1024
               ldir
              jp RAM_GUI 

.ToName      DB "bgebrs  brs",0
.brs_boof    

;    BGE    BRS_data.asm /DA

              

             ASSERT  $ < #C000-1024-64  ; 64 for stack
             DISPLAY "Length Init     :",/a, $-InitBGE