
;   UNDO
;
;SV_UNDO LD A,ScrPage
;        CALL RAM
;        LD HL,SCREEN
;        LD DE,UNDOSCR
;        LD BC,6912
;        LDIR
;        RET
;        JR LOADSCR.hl
 
SV_UNDO   ld hl,SCREEN
         jr 1F     
SV_UNDO_  
          ld hl,#4000
1         ld de,UNDOSCR
          ld a,ScrPage
         jr  LOADSCR.ldir       
        
SWP_Undo   call ScrRam     ;       .5
           ld hl,#4000
           ld de,UNDOSCR
          jr LD_UNDO.K_s1      

SwapUnShad                ;       /DA
           call LD_UNDO
           call SwapSCRS
;  UNDO
LD_UNDO ;LD A,ScrPage
        ;CALL RAM
          call ScrRam
;        LD HL,SCREEN   ; move /DA
        LD DE,UNDOSCR
.K_s    LD HL,SCREEN
.K_s1   LD BC,6912
.K_6    LD A,(HL)
        EX AF,AF'
        LD A,(DE)
        LD (HL),A
        EX AF,AF'
        LD (DE),A
        INC HL
        INC DE
        DEC BC
        LD A,C
        OR B
       jr nz,.K_6     ;JP NZ, .K_6
        RET
        
SWAP_SCR2 ; ld a,RamPage       ;  shadow scr    #4000  /DA
          ; call RAM
            call RamRam
          jr SWAP_SCR.T       
SWAP_SCR  ;ld a,ScrPage       ;  scr0    #4000  /DA
          ;call RAM
           call ScrRam
.T        ld de, #4000
         jr LD_UNDO.K_s
         
exSCR_      push hl
            push de
            push bc
            push af
            call SWAP_SCR.T
      ;      pop af
      ;      pop bc
      ;      pop de
      ;      pop hl
      ;     ret
           jp popsA_     ; pop af,bc,de,hl in SetWA at 'Add.asm'       
         
SwwS    call ScrRam
SwpSRam ld hl,#5800
        ld de,SCREEN+6144
        ld bc,768
        call LD_UNDO.K_6
        ld h,#40    ; l=0  -> hl=#4000
        ld d,#C0    ; e=0  -> de=SCREEN
        ld b,#18    ; c=0  -> bc=6144
       jr LD_UNDO.K_6
       
SwpSCRSl   call SwapSCRS  ;   /-3/            
LOADSCR LD A,ScrPage
;        CALL RAM
;        LD HL,SCREEN+6144
;        LD DE,#5800
;        LD BC,768
;        LDIR
;        LD HL,SCREEN
.load
        LD DE,#4000
.hl
        LD HL,SCREEN
;        LD BC,6144
;        LDIR
;        RET
.ldir   CALL RAM
.ldir_  LD BC,6912
        LDIR
        RET

LOADUNDO    ;  ld hl,UNDOSCR      ; UNDOscreen -> Screen /DA 
              ld de,SCREEN
1             ld hl,UNDOSCR      ; UNDOscreen -> Screen /DA
              ld a,ScrPage
             jr LOADSCR.ldir
LOADUNDO_     ld de,#4000
             jr 1B

LOADSCR2 LD A,RamPage     ; /DA
         jr LOADSCR.load

SAVESCR2
        LD A,RamPage
 ;      CALL RAM
        JR SAVESCR.save

SAVESCR LD A,ScrPage
;        CALL RAM
.save   LD HL,#4000
        LD DE,SCREEN
;        LD BC,6912
;        LDIR
;        RET
        JR  LOADSCR.ldir
        
      
; SwpSCRSl   call SwapSCRS ;   ,  3  /DA          
;           jp LOADSCR 
           
SwapSuxSCRS   ;    0-  1-  (screen and suxscreen)     
           call SwapSCRS.Pswp
           ld a, SuxPage
          jr 1F               
SwapSCRS                   ;   /DA
           call .Pswp
           ld a, RamPage
1          call RAM
           call .swp
           call ScrRam
.swp
           push hl,de,bc
           call LD_UNDO.K_6
           pop bc,de,hl
          ret
.Pswp      call ScrRam
.Pswp0     ld hl,SCREEN
.Pswp1     ld de,#A500
           ld bc,6912
          jr .swp
          
           ; v 3.12 -   ..  1-   
.svSCR_     ld a,#EB     ; a='ex de,hl'
           jr 1F
.ldSCR_     xor a        ; a='nop' -  .   1- . . 
1           ld (.exdh_),a                        
         ;   ld a, RamPage 
         ;   call RAM
             call RamRam
            call .Pswp0
            call SuxRam
            ld hl,SCREEN
.exdh_      ex de,hl   ; / nop
            ldir
         ;   ld a, RamPage
         ;   call RAM
            call RamRam
           jr .Pswp0

         
                        
SaveSCRS   call SwapSCRS.Pswp ; save screen to shedow screen
           ld a, RamPage
          jr P_strt.s         
P_strt                      ; save screen at SCRPage to SuxPage memory
           call SwapSCRS.Pswp
           ld a, SuxPage
.s         push hl,de,bc
           ex de,hl
           call RAM
           ldir
           pop bc,de,hl
           call ScrRam
          jp SwapSCRS.swp
          
         

;----------------------------
CLS_su  call SV_UNDO
        call CLS
       jp SAVESCR
CLS    ; LD HL,#4000
       ; LD DE,#4001
       ; LD (HL),L
       ; LD BC,6143
       ; LDIR
        call cls_a.c
;CLS_ATR LD HL,#5800
;        LD DE,#5801
;        LD A,(REALRGB)
CLS_ATR ld a,7
.a      ld hl,#5800
        ld de,#5801
;        LD (HL),7
        ld (hl),a
        LD BC,767
        LDIR
        ld a,(REALRGB)
        RET
        
cls_a   call CLS_ATR.a
.c      ld hl,#4000
        ld de,#4001
.l      ld (hl),l
        ld bc,6143
        ldir
       ret
        
        
        
CLSSCRSCR
       ; CALL SV_UNDO
       ; CALL CLSscr
         call CLSscr_
        JP Main
        
CLSscr_  call SV_UNDO
CLSscr ; LD A,ScrPage
       ; CALL RAM
         call ScrRam
        LD HL,SCREEN
        LD DE,SCREEN+1
      ;  LD (HL),L
      ;  LD BC,6143
      ;  LDIR
         call cls_a.l
RAN     LD HL,SCREEN+6144
        LD BC,768
K_7     LD A,(HL)
        CALL MIXCOL
        LD (HL),A
        INC HL
        DEC BC
        LD A,C
        OR B
        JR NZ,K_7
       ret ;   JP Main

CLSATR  CALL SV_UNDO
        JP RAN
;----------------------------------------------



;         hl,  (b=y ,c=x)    #C000

LdPrtSCR    ; in hl - scr addr , b=sY , c=sX   ; /DA v3.12
                         
1            push bc
             ld a,8
2            ex af,af'
             ld d,h
             ld e,l
             set 7,d              
             ld b,c
            push hl
3            ld a,(de)
             ld (hl),a
             inc l
             inc e
            djnz 3B
            pop hl  
             inc h
             ex af,af'
             dec a
            jr nz,2B
             dec h
             push hl
             ld a,h  ;  
             rrca
             rrca
             rrca
             and #03
             or #58
             ld h,a
             or #80
             ld d,a
             ld b,c
4            ld a,(de)
             ld (hl),a
             inc l
             inc e
            djnz 4B
             pop hl
             call INC_Y
             pop bc
            djnz 1B  
           ret 
        
ForAniLdPrtScr  ld a,SuxPage|#10   ;    (  ) /DA v3.12
                call Ram
                call LdPrtSCR                  
                ld a,AddPage|#10
              jp Ram
            
            


